searchData={"items":[{"type":"module","title":"GoogleApi.Docs.V1","doc":"API client metadata for GoogleApi.Docs.V1.","ref":"GoogleApi.Docs.V1.html"},{"type":"function","title":"GoogleApi.Docs.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Docs.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Docs.V1.Api.Documents","doc":"API calls for all endpoints tagged `Documents`.","ref":"GoogleApi.Docs.V1.Api.Documents.html"},{"type":"function","title":"GoogleApi.Docs.V1.Api.Documents.docs_documents_batch_update/4","doc":"Applies one or more updates to the document. Each request is validated before being applied. If any request is not valid, then the entire request will fail and nothing will be applied. Some requests have replies to give you some information about how they are applied. Other requests do not need to return information; these each return an empty reply. The order of replies matches that of the requests. For example, suppose you call batchUpdate with four updates, and only the third one returns information. The response would have two empty replies, the reply to the third request, and another empty reply, in that order. Because other users may be editing the document, the document might not exactly reflect your changes: your changes may be altered with respect to collaborator changes. If there are no collaborators, the document should reflect your changes. In any case, the updates in your request are guaranteed to be applied together atomically.","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Docs.V1.Api.Documents.docs_documents_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Docs.V1.Connection.t`) - Connection to server\n*   `document_id` (*type:* `String.t`) - The ID of the document to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Api.Documents.docs_documents_batch_update/4","doc":"*   `{:ok, %GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Docs.V1.Api.Documents.docs_documents_create/3","doc":"Creates a blank document using the title given in the request. Other fields in the request, including any provided content, are ignored. Returns the created document.","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_create/3"},{"type":"function","title":"Parameters - GoogleApi.Docs.V1.Api.Documents.docs_documents_create/3","doc":"*   `connection` (*type:* `GoogleApi.Docs.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Docs.V1.Model.Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Api.Documents.docs_documents_create/3","doc":"*   `{:ok, %GoogleApi.Docs.V1.Model.Document{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_create/3-returns"},{"type":"function","title":"GoogleApi.Docs.V1.Api.Documents.docs_documents_get/4","doc":"Gets the latest version of the specified document.","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Docs.V1.Api.Documents.docs_documents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Docs.V1.Connection.t`) - Connection to server\n*   `document_id` (*type:* `String.t`) - The ID of the document to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:includeTabsContent` (*type:* `boolean()`) - Whether to populate the Document.tabs field instead of the text content fields like `body` and `documentStyle` on Document. - When `True`: Document content populates in the Document.tabs field instead of the text content fields in Document. - When `False`: The content of the document's first tab populates the content fields in Document excluding Document.tabs. If a document has only one tab, then that tab is used to populate the document content. Document.tabs will be empty.\n    *   `:suggestionsViewMode` (*type:* `String.t`) - The suggestions view mode to apply to the document. This allows viewing the document with all suggestions inline, accepted or rejected. If one is not specified, DEFAULT_FOR_CURRENT_ACCESS is used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Api.Documents.docs_documents_get/4","doc":"*   `{:ok, %GoogleApi.Docs.V1.Model.Document{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Docs.V1.Api.Documents.html#docs_documents_get/4-returns"},{"type":"module","title":"GoogleApi.Docs.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Docs.V1.","ref":"GoogleApi.Docs.V1.Connection.html"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Docs.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Docs.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Docs.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Docs.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Docs.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Docs.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Docs.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Docs.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Docs.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Docs.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Docs.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Docs.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Docs.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Docs.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Docs.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Docs.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Docs.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Docs.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Docs.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Docs.V1.Connection.t/0","doc":"","ref":"GoogleApi.Docs.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.AutoText","doc":"A ParagraphElement representing a spot in the text that's dynamically replaced with content that can change over time, like a page number.","ref":"GoogleApi.Docs.V1.Model.AutoText.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.AutoText","doc":"*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. An AutoText may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this AutoText, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this AutoText.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this auto text.","ref":"GoogleApi.Docs.V1.Model.AutoText.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.AutoText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.AutoText.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.AutoText.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.AutoText.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Background","doc":"Represents the background of a document.","ref":"GoogleApi.Docs.V1.Model.Background.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Background","doc":"*   `color` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The background color.","ref":"GoogleApi.Docs.V1.Model.Background.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Background.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Background.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Background.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Background.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState","doc":"A mask that indicates which of the fields on the base Background have been changed in this suggestion. For any field set to true, the Backgound has a new suggested value.","ref":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.BackgroundSuggestionState","doc":"*   `backgroundColorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the current background color has been modified in this suggestion.","ref":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.BackgroundSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest","doc":"Request message for BatchUpdateDocument.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest","doc":"*   `requests` (*type:* `list(GoogleApi.Docs.V1.Model.Request.t)`, *default:* `nil`) - A list of updates to apply to the document.\n*   `writeControl` (*type:* `GoogleApi.Docs.V1.Model.WriteControl.t`, *default:* `nil`) - Provides control over how write requests are executed.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse","doc":"Response message from a BatchUpdateDocument request.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse","doc":"*   `documentId` (*type:* `String.t`, *default:* `nil`) - The ID of the document to which the updates were applied to.\n*   `replies` (*type:* `list(GoogleApi.Docs.V1.Model.Response.t)`, *default:* `nil`) - The reply of the updates. This maps 1:1 with the updates, although replies to some requests may be empty.\n*   `writeControl` (*type:* `GoogleApi.Docs.V1.Model.WriteControl.t`, *default:* `nil`) - The updated write control after applying the request.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.BatchUpdateDocumentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Body","doc":"The document body. The body typically contains the full document contents except for headers, footers, and footnotes.","ref":"GoogleApi.Docs.V1.Model.Body.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Body","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The contents of the body. The indexes for the body's content begin at zero.","ref":"GoogleApi.Docs.V1.Model.Body.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Body.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Body.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Body.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Body.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.BookmarkLink","doc":"A reference to a bookmark in this document.","ref":"GoogleApi.Docs.V1.Model.BookmarkLink.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.BookmarkLink","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of a bookmark in this document.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The ID of the tab containing this bookmark.","ref":"GoogleApi.Docs.V1.Model.BookmarkLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.BookmarkLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.BookmarkLink.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.BookmarkLink.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.BookmarkLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Bullet","doc":"Describes the bullet of a paragraph.","ref":"GoogleApi.Docs.V1.Model.Bullet.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Bullet","doc":"*   `listId` (*type:* `String.t`, *default:* `nil`) - The ID of the list this paragraph belongs to.\n*   `nestingLevel` (*type:* `integer()`, *default:* `nil`) - The nesting level of this paragraph in the list.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The paragraph-specific text style applied to this bullet.","ref":"GoogleApi.Docs.V1.Model.Bullet.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Bullet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Bullet.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Bullet.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Bullet.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.BulletSuggestionState","doc":"A mask that indicates which of the fields on the base Bullet have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.BulletSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.BulletSuggestionState","doc":"*   `listIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to the list_id.\n*   `nestingLevelSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to the nesting_level.\n*   `textStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TextStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in text style have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.BulletSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.BulletSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.BulletSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.BulletSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.BulletSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Color","doc":"A solid color.","ref":"GoogleApi.Docs.V1.Model.Color.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Color","doc":"*   `rgbColor` (*type:* `GoogleApi.Docs.V1.Model.RgbColor.t`, *default:* `nil`) - The RGB color value.","ref":"GoogleApi.Docs.V1.Model.Color.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Color.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Color.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Color.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Color.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ColumnBreak","doc":"A ParagraphElement representing a column break. A column break makes the subsequent text start at the top of the next column.","ref":"GoogleApi.Docs.V1.Model.ColumnBreak.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ColumnBreak","doc":"*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A ColumnBreak may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this ColumnBreak, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this ColumnBreak. Similar to text content, like text runs and footnote references, the text style of a column break can affect content layout as well as the styling of text inserted next to it.","ref":"GoogleApi.Docs.V1.Model.ColumnBreak.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ColumnBreak.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ColumnBreak.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ColumnBreak.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ColumnBreak.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateFooterRequest","doc":"Creates a Footer. The new footer is applied to the SectionStyle at the location of the SectionBreak if specified, otherwise it is applied to the DocumentStyle. If a footer of the specified type already exists, a 400 bad request error is returned.","ref":"GoogleApi.Docs.V1.Model.CreateFooterRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateFooterRequest","doc":"*   `sectionBreakLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location of the SectionBreak immediately preceding the section whose SectionStyle this footer should belong to. If this is unset or refers to the first section break in the document, the footer applies to the document style.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of footer to create.","ref":"GoogleApi.Docs.V1.Model.CreateFooterRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateFooterRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateFooterRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateFooterRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateFooterRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateFooterResponse","doc":"The result of creating a footer.","ref":"GoogleApi.Docs.V1.Model.CreateFooterResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateFooterResponse","doc":"*   `footerId` (*type:* `String.t`, *default:* `nil`) - The ID of the created footer.","ref":"GoogleApi.Docs.V1.Model.CreateFooterResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateFooterResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateFooterResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateFooterResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateFooterResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest","doc":"Creates a Footnote segment and inserts a new FootnoteReference to it at the given location. The new Footnote segment will contain a space followed by a newline character.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateFootnoteRequest","doc":"*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts the footnote reference at the end of the document body. Footnote references cannot be inserted inside a header, footer or footnote. Since footnote references can only be inserted in the body, the segment ID field must be empty.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts the footnote reference at a specific index in the document. The footnote reference must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Footnote references cannot be inserted inside an equation, header, footer or footnote. Since footnote references can only be inserted in the body, the segment ID field must be empty.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse","doc":"The result of creating a footnote.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateFootnoteResponse","doc":"*   `footnoteId` (*type:* `String.t`, *default:* `nil`) - The ID of the created footnote.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateFootnoteResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateHeaderRequest","doc":"Creates a Header. The new header is applied to the SectionStyle at the location of the SectionBreak if specified, otherwise it is applied to the DocumentStyle. If a header of the specified type already exists, a 400 bad request error is returned.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateHeaderRequest","doc":"*   `sectionBreakLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location of the SectionBreak which begins the section this header should belong to. If `section_break_location' is unset or if it refers to the first section break in the document body, the header applies to the DocumentStyle\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of header to create.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateHeaderRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateHeaderResponse","doc":"The result of creating a header.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateHeaderResponse","doc":"*   `headerId` (*type:* `String.t`, *default:* `nil`) - The ID of the created header.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateHeaderResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest","doc":"Creates a NamedRange referencing the given range.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateNamedRangeRequest","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the NamedRange. Names do not need to be unique. Names must be at least 1 character and no more than 256 characters, measured in UTF-16 code units.\n*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range to apply the name to.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse","doc":"The result of creating a named range.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateNamedRangeResponse","doc":"*   `namedRangeId` (*type:* `String.t`, *default:* `nil`) - The ID of the created named range.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest","doc":"Creates bullets for all of the paragraphs that overlap with the given range. The nesting level of each paragraph will be determined by counting leading tabs in front of each paragraph. To avoid excess space between the bullet and the corresponding paragraph, these leading tabs are removed by this request. This may change the indices of parts of the text. If the paragraph immediately before paragraphs being updated is in a list with a matching preset, the paragraphs being updated are added to that preceding list.","ref":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest","doc":"*   `bulletPreset` (*type:* `String.t`, *default:* `nil`) - The kinds of bullet glyphs to be used.\n*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range to apply the bullet preset to.","ref":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CropProperties","doc":"The crop properties of an image. The crop rectangle is represented using fractional offsets from the original content's 4 edges. - If the offset is in the interval (0, 1), the corresponding edge of crop rectangle is positioned inside of the image's original bounding rectangle. - If the offset is negative or greater than 1, the corresponding edge of crop rectangle is positioned outside of the image's original bounding rectangle. - If all offsets and rotation angle are 0, the image is not cropped.","ref":"GoogleApi.Docs.V1.Model.CropProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CropProperties","doc":"*   `angle` (*type:* `number()`, *default:* `nil`) - The clockwise rotation angle of the crop rectangle around its center, in radians. Rotation is applied after the offsets.\n*   `offsetBottom` (*type:* `number()`, *default:* `nil`) - The offset specifies how far inwards the bottom edge of the crop rectangle is from the bottom edge of the original content as a fraction of the original content's height.\n*   `offsetLeft` (*type:* `number()`, *default:* `nil`) - The offset specifies how far inwards the left edge of the crop rectangle is from the left edge of the original content as a fraction of the original content's width.\n*   `offsetRight` (*type:* `number()`, *default:* `nil`) - The offset specifies how far inwards the right edge of the crop rectangle is from the right edge of the original content as a fraction of the original content's width.\n*   `offsetTop` (*type:* `number()`, *default:* `nil`) - The offset specifies how far inwards the top edge of the crop rectangle is from the top edge of the original content as a fraction of the original content's height.","ref":"GoogleApi.Docs.V1.Model.CropProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CropProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CropProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CropProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CropProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base CropProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState","doc":"*   `angleSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to angle.\n*   `offsetBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to offset_bottom.\n*   `offsetLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to offset_left.\n*   `offsetRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to offset_right.\n*   `offsetTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to offset_top.","ref":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest","doc":"Deletes content from the document.","ref":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteContentRangeRequest","doc":"*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range of content to delete. Deleting text that crosses a paragraph boundary may result in changes to paragraph styles, lists, positioned objects and bookmarks as the two paragraphs are merged. Attempting to delete certain ranges can result in an invalid document structure in which case a 400 bad request error is returned. Some examples of invalid delete requests include: * Deleting one code unit of a surrogate pair. * Deleting the last newline character of a Body, Header, Footer, Footnote, TableCell or TableOfContents. * Deleting the start or end of a Table, TableOfContents or Equation without deleting the entire element. * Deleting the newline character before a Table, TableOfContents or SectionBreak without deleting the element. * Deleting individual rows or cells of a table. Deleting the content within a table cell is allowed.","ref":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteFooterRequest","doc":"Deletes a Footer from the document.","ref":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteFooterRequest","doc":"*   `footerId` (*type:* `String.t`, *default:* `nil`) - The id of the footer to delete. If this footer is defined on DocumentStyle, the reference to this footer is removed, resulting in no footer of that type for the first section of the document. If this footer is defined on a SectionStyle, the reference to this footer is removed and the footer of that type is now continued from the previous section.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that contains the footer to delete. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteFooterRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest","doc":"Deletes a Header from the document.","ref":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteHeaderRequest","doc":"*   `headerId` (*type:* `String.t`, *default:* `nil`) - The id of the header to delete. If this header is defined on DocumentStyle, the reference to this header is removed, resulting in no header of that type for the first section of the document. If this header is defined on a SectionStyle, the reference to this header is removed and the header of that type is now continued from the previous section.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab containing the header to delete. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteHeaderRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest","doc":"Deletes a NamedRange.","ref":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the range(s) to delete. All named ranges with the given name will be deleted.\n*   `namedRangeId` (*type:* `String.t`, *default:* `nil`) - The ID of the named range to delete.\n*   `tabsCriteria` (*type:* `GoogleApi.Docs.V1.Model.TabsCriteria.t`, *default:* `nil`) - Optional. The criteria used to specify which tab(s) the range deletion should occur in. When omitted, the range deletion is applied to all tabs. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the range deletion applies to the singular tab. In a document containing multiple tabs: - If provided, the range deletion applies to the specified tabs. - If not provided, the range deletion applies to all tabs.","ref":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest","doc":"Deletes bullets from all of the paragraphs that overlap with the given range. The nesting level of each paragraph will be visually preserved by adding indent to the start of the corresponding paragraph.","ref":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest","doc":"*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range to delete bullets from.","ref":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest","doc":"Deletes a PositionedObject from the document.","ref":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of the positioned object to delete.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that the positioned object to delete is in. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest","doc":"Deletes a column from a table.","ref":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteTableColumnRequest","doc":"*   `tableCellLocation` (*type:* `GoogleApi.Docs.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which the column will be deleted. The column this cell spans will be deleted. If this is a merged cell that spans multiple columns, all columns that the cell spans will be deleted. If no columns remain in the table after this deletion, the whole table is deleted.","ref":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest","doc":"Deletes a row from a table.","ref":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DeleteTableRowRequest","doc":"*   `tableCellLocation` (*type:* `GoogleApi.Docs.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which the row will be deleted. The row this cell spans will be deleted. If this is a merged cell that spans multiple rows, all rows that the cell spans will be deleted. If no rows remain in the table after this deletion, the whole table is deleted.","ref":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DeleteTableRowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Dimension","doc":"A magnitude in a single direction in the specified units.","ref":"GoogleApi.Docs.V1.Model.Dimension.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Dimension","doc":"*   `magnitude` (*type:* `float()`, *default:* `nil`) - The magnitude.\n*   `unit` (*type:* `String.t`, *default:* `nil`) - The units for magnitude.","ref":"GoogleApi.Docs.V1.Model.Dimension.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Dimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Dimension.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Dimension.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Dimension.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Document","doc":"A Google Docs document.","ref":"GoogleApi.Docs.V1.Model.Document.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Document","doc":"*   `body` (*type:* `GoogleApi.Docs.V1.Model.Body.t`, *default:* `nil`) - Output only. The main body of the document.\n*   `documentId` (*type:* `String.t`, *default:* `nil`) - Output only. The ID of the document.\n*   `documentStyle` (*type:* `GoogleApi.Docs.V1.Model.DocumentStyle.t`, *default:* `nil`) - Output only. The style of the document.\n*   `footers` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Footer.t}`, *default:* `nil`) - Output only. The footers in the document, keyed by footer ID.\n*   `footnotes` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Footnote.t}`, *default:* `nil`) - Output only. The footnotes in the document, keyed by footnote ID.\n*   `headers` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Header.t}`, *default:* `nil`) - Output only. The headers in the document, keyed by header ID.\n*   `inlineObjects` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.InlineObject.t}`, *default:* `nil`) - Output only. The inline objects in the document, keyed by object ID.\n*   `lists` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.List.t}`, *default:* `nil`) - Output only. The lists in the document, keyed by list ID.\n*   `namedRanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.NamedRanges.t}`, *default:* `nil`) - Output only. The named ranges in the document, keyed by name.\n*   `namedStyles` (*type:* `GoogleApi.Docs.V1.Model.NamedStyles.t`, *default:* `nil`) - Output only. The named styles of the document.\n*   `positionedObjects` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.PositionedObject.t}`, *default:* `nil`) - Output only. The positioned objects in the document, keyed by object ID.\n*   `revisionId` (*type:* `String.t`, *default:* `nil`) - Output only. The revision ID of the document. Can be used in update requests to specify which revision of a document to apply updates to and how the request should behave if the document has been edited since that revision. Only populated if the user has edit access to the document. The revision ID is not a sequential number but an opaque string. The format of the revision ID might change over time. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the document has not changed. Conversely, a changed ID (for the same document and user) usually means the document has been updated. However, a changed ID can also be due to internal factors such as ID format changes.\n*   `suggestedDocumentStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.t}`, *default:* `nil`) - Output only. The suggested changes to the style of the document, keyed by suggestion ID.\n*   `suggestedNamedStylesChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedNamedStyles.t}`, *default:* `nil`) - Output only. The suggested changes to the named styles of the document, keyed by suggestion ID.\n*   `suggestionsViewMode` (*type:* `String.t`, *default:* `nil`) - Output only. The suggestions view mode applied to the document. Note: When editing a document, changes must be based on a document with SUGGESTIONS_INLINE.\n*   `tabs` (*type:* `list(GoogleApi.Docs.V1.Model.Tab.t)`, *default:* `nil`) - Tabs that are part of a document. Tabs can contain child tabs, a tab nested within another tab. Child tabs are represented by the Tab.child_tabs field.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the document.","ref":"GoogleApi.Docs.V1.Model.Document.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Document.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Document.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Document.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Document.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DocumentStyle","doc":"The style of the document.","ref":"GoogleApi.Docs.V1.Model.DocumentStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DocumentStyle","doc":"*   `background` (*type:* `GoogleApi.Docs.V1.Model.Background.t`, *default:* `nil`) - The background of the document. Documents cannot have a transparent background color.\n*   `defaultFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the default footer. If not set, there's no default footer. This property is read-only.\n*   `defaultHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the default header. If not set, there's no default header. This property is read-only.\n*   `evenPageFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the footer used only for even pages. The value of use_even_page_header_footer determines whether to use the default_footer_id or this value for the footer on even pages. If not set, there's no even page footer. This property is read-only.\n*   `evenPageHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the header used only for even pages. The value of use_even_page_header_footer determines whether to use the default_header_id or this value for the header on even pages. If not set, there's no even page header. This property is read-only.\n*   `firstPageFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the footer used only for the first page. If not set then a unique footer for the first page does not exist. The value of use_first_page_header_footer determines whether to use the default_footer_id or this value for the footer on the first page. If not set, there's no first page footer. This property is read-only.\n*   `firstPageHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the header used only for the first page. If not set then a unique header for the first page does not exist. The value of use_first_page_header_footer determines whether to use the default_header_id or this value for the header on the first page. If not set, there's no first page header. This property is read-only.\n*   `flipPageOrientation` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to flip the dimensions of the page_size, which allows changing the page orientation between portrait and landscape.\n*   `marginBottom` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The bottom page margin. Updating the bottom page margin on the document style clears the bottom page margin on all section styles.\n*   `marginFooter` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of space between the bottom of the page and the contents of the footer.\n*   `marginHeader` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of space between the top of the page and the contents of the header.\n*   `marginLeft` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The left page margin. Updating the left page margin on the document style clears the left page margin on all section styles. It may also cause columns to resize in all sections.\n*   `marginRight` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The right page margin. Updating the right page margin on the document style clears the right page margin on all section styles. It may also cause columns to resize in all sections.\n*   `marginTop` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The top page margin. Updating the top page margin on the document style clears the top page margin on all section styles.\n*   `pageNumberStart` (*type:* `integer()`, *default:* `nil`) - The page number from which to start counting the number of pages.\n*   `pageSize` (*type:* `GoogleApi.Docs.V1.Model.Size.t`, *default:* `nil`) - The size of a page in the document.\n*   `useCustomHeaderFooterMargins` (*type:* `boolean()`, *default:* `nil`) - Indicates whether DocumentStyle margin_header, SectionStyle margin_header and DocumentStyle margin_footer, SectionStyle margin_footer are respected. When false, the default values in the Docs editor for header and footer margin are used. This property is read-only.\n*   `useEvenPageHeaderFooter` (*type:* `boolean()`, *default:* `nil`) - Indicates whether to use the even page header / footer IDs for the even pages.\n*   `useFirstPageHeaderFooter` (*type:* `boolean()`, *default:* `nil`) - Indicates whether to use the first page header / footer IDs for the first page.","ref":"GoogleApi.Docs.V1.Model.DocumentStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DocumentStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DocumentStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DocumentStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DocumentStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState","doc":"A mask that indicates which of the fields on the base DocumentStyle have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState","doc":"*   `backgroundSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.BackgroundSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in background have been changed in this suggestion.\n*   `defaultFooterIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to default_footer_id.\n*   `defaultHeaderIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to default_header_id.\n*   `evenPageFooterIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to even_page_footer_id.\n*   `evenPageHeaderIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to even_page_header_id.\n*   `firstPageFooterIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to first_page_footer_id.\n*   `firstPageHeaderIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to first_page_header_id.\n*   `flipPageOrientationSuggested` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates if there was a suggested change to flip_page_orientation.\n*   `marginBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_bottom.\n*   `marginFooterSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_footer.\n*   `marginHeaderSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_header.\n*   `marginLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_left.\n*   `marginRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_right.\n*   `marginTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_top.\n*   `pageNumberStartSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to page_number_start.\n*   `pageSizeSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.SizeSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in size have been changed in this suggestion.\n*   `useCustomHeaderFooterMarginsSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to use_custom_header_footer_margins.\n*   `useEvenPageHeaderFooterSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to use_even_page_header_footer.\n*   `useFirstPageHeaderFooterSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to use_first_page_header_footer.","ref":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.DocumentTab","doc":"A tab with document contents.","ref":"GoogleApi.Docs.V1.Model.DocumentTab.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.DocumentTab","doc":"*   `body` (*type:* `GoogleApi.Docs.V1.Model.Body.t`, *default:* `nil`) - The main body of the document tab.\n*   `documentStyle` (*type:* `GoogleApi.Docs.V1.Model.DocumentStyle.t`, *default:* `nil`) - The style of the document tab.\n*   `footers` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Footer.t}`, *default:* `nil`) - The footers in the document tab, keyed by footer ID.\n*   `footnotes` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Footnote.t}`, *default:* `nil`) - The footnotes in the document tab, keyed by footnote ID.\n*   `headers` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.Header.t}`, *default:* `nil`) - The headers in the document tab, keyed by header ID.\n*   `inlineObjects` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.InlineObject.t}`, *default:* `nil`) - The inline objects in the document tab, keyed by object ID.\n*   `lists` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.List.t}`, *default:* `nil`) - The lists in the document tab, keyed by list ID.\n*   `namedRanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.NamedRanges.t}`, *default:* `nil`) - The named ranges in the document tab, keyed by name.\n*   `namedStyles` (*type:* `GoogleApi.Docs.V1.Model.NamedStyles.t`, *default:* `nil`) - The named styles of the document tab.\n*   `positionedObjects` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.PositionedObject.t}`, *default:* `nil`) - The positioned objects in the document tab, keyed by object ID.\n*   `suggestedDocumentStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.t}`, *default:* `nil`) - The suggested changes to the style of the document tab, keyed by suggestion ID.\n*   `suggestedNamedStylesChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedNamedStyles.t}`, *default:* `nil`) - The suggested changes to the named styles of the document tab, keyed by suggestion ID.","ref":"GoogleApi.Docs.V1.Model.DocumentTab.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.DocumentTab.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.DocumentTab.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.DocumentTab.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.DocumentTab.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties","doc":"The properties of an embedded drawing and used to differentiate the object type. An embedded drawing is one that's created and edited within a document. Note that extensive details are not supported.","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base EmbeddedDrawingProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedObject","doc":"An embedded object in the document.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObject.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedObject","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the embedded object. The `title` and `description` are both combined to display alt text.\n*   `embeddedDrawingProperties` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedDrawingProperties.t`, *default:* `nil`) - The properties of an embedded drawing.\n*   `embeddedObjectBorder` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.t`, *default:* `nil`) - The border of the embedded object.\n*   `imageProperties` (*type:* `GoogleApi.Docs.V1.Model.ImageProperties.t`, *default:* `nil`) - The properties of an image.\n*   `linkedContentReference` (*type:* `GoogleApi.Docs.V1.Model.LinkedContentReference.t`, *default:* `nil`) - A reference to the external linked source content. For example, it contains a reference to the source Google Sheets chart when the embedded object is a linked chart. If unset, then the embedded object is not linked.\n*   `marginBottom` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The bottom margin of the embedded object.\n*   `marginLeft` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The left margin of the embedded object.\n*   `marginRight` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The right margin of the embedded object.\n*   `marginTop` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The top margin of the embedded object.\n*   `size` (*type:* `GoogleApi.Docs.V1.Model.Size.t`, *default:* `nil`) - The visible size of the image after cropping.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the embedded object. The `title` and `description` are both combined to display alt text.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObject.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedObject.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder","doc":"A border around an EmbeddedObject.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedObjectBorder","doc":"*   `color` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The color of the border.\n*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the border.\n*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The property state of the border property.\n*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The width of the border.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorder.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState","doc":"A mask that indicates which of the fields on the base EmbeddedObjectBorder have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState","doc":"*   `colorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to color.\n*   `dashStyleSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to dash_style.\n*   `propertyStateSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to property_state.\n*   `widthSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to width.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState","doc":"A mask that indicates which of the fields on the base EmbeddedObject have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState","doc":"*   `descriptionSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to description.\n*   `embeddedDrawingPropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedDrawingPropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in embedded_drawing_properties have been changed in this suggestion.\n*   `embeddedObjectBorderSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObjectBorderSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in embedded_object_border have been changed in this suggestion.\n*   `imagePropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in image_properties have been changed in this suggestion.\n*   `linkedContentReferenceSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in linked_content_reference have been changed in this suggestion.\n*   `marginBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_bottom.\n*   `marginLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_left.\n*   `marginRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_right.\n*   `marginTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to margin_top.\n*   `sizeSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.SizeSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in size have been changed in this suggestion.\n*   `titleSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to title.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation","doc":"Location at the end of a body, header, footer or footnote. The location is immediately before the last newline in the document segment.","ref":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.EndOfSegmentLocation","doc":"*   `segmentId` (*type:* `String.t`, *default:* `nil`) - The ID of the header, footer or footnote the location is in. An empty segment ID signifies the document's body.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that the location is in. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.EndOfSegmentLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Equation","doc":"A ParagraphElement representing an equation.","ref":"GoogleApi.Docs.V1.Model.Equation.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Equation","doc":"*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. An Equation may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.","ref":"GoogleApi.Docs.V1.Model.Equation.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Equation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Equation.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Equation.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Equation.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Footer","doc":"A document footer.","ref":"GoogleApi.Docs.V1.Model.Footer.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Footer","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The contents of the footer. The indexes for a footer's content begin at zero.\n*   `footerId` (*type:* `String.t`, *default:* `nil`) - The ID of the footer.","ref":"GoogleApi.Docs.V1.Model.Footer.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Footer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Footer.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Footer.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Footer.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Footnote","doc":"A document footnote.","ref":"GoogleApi.Docs.V1.Model.Footnote.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Footnote","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The contents of the footnote. The indexes for a footnote's content begin at zero.\n*   `footnoteId` (*type:* `String.t`, *default:* `nil`) - The ID of the footnote.","ref":"GoogleApi.Docs.V1.Model.Footnote.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Footnote.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Footnote.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Footnote.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Footnote.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.FootnoteReference","doc":"A ParagraphElement representing a footnote reference. A footnote reference is the inline content rendered with a number and is used to identify the footnote.","ref":"GoogleApi.Docs.V1.Model.FootnoteReference.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.FootnoteReference","doc":"*   `footnoteId` (*type:* `String.t`, *default:* `nil`) - The ID of the footnote that contains the content of this footnote reference.\n*   `footnoteNumber` (*type:* `String.t`, *default:* `nil`) - The rendered number of this footnote.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A FootnoteReference may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this FootnoteReference, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this FootnoteReference.","ref":"GoogleApi.Docs.V1.Model.FootnoteReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.FootnoteReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.FootnoteReference.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.FootnoteReference.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.FootnoteReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Header","doc":"A document header.","ref":"GoogleApi.Docs.V1.Model.Header.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Header","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The contents of the header. The indexes for a header's content begin at zero.\n*   `headerId` (*type:* `String.t`, *default:* `nil`) - The ID of the header.","ref":"GoogleApi.Docs.V1.Model.Header.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Header.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Header.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Header.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Header.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.HeadingLink","doc":"A reference to a heading in this document.","ref":"GoogleApi.Docs.V1.Model.HeadingLink.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.HeadingLink","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of a heading in this document.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The ID of the tab containing this heading.","ref":"GoogleApi.Docs.V1.Model.HeadingLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.HeadingLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.HeadingLink.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.HeadingLink.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.HeadingLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.HorizontalRule","doc":"A ParagraphElement representing a horizontal line.","ref":"GoogleApi.Docs.V1.Model.HorizontalRule.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.HorizontalRule","doc":"*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A HorizontalRule may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this HorizontalRule, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this HorizontalRule. Similar to text content, like text runs and footnote references, the text style of a horizontal rule can affect content layout as well as the styling of text inserted next to it.","ref":"GoogleApi.Docs.V1.Model.HorizontalRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.HorizontalRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.HorizontalRule.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.HorizontalRule.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.HorizontalRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ImageProperties","doc":"The properties of an image.","ref":"GoogleApi.Docs.V1.Model.ImageProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ImageProperties","doc":"*   `angle` (*type:* `number()`, *default:* `nil`) - The clockwise rotation angle of the image, in radians.\n*   `brightness` (*type:* `number()`, *default:* `nil`) - The brightness effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect.\n*   `contentUri` (*type:* `String.t`, *default:* `nil`) - A URI to the image with a default lifetime of 30 minutes. This URI is tagged with the account of the requester. Anyone with the URI effectively accesses the image as the original requester. Access to the image may be lost if the document's sharing settings change.\n*   `contrast` (*type:* `number()`, *default:* `nil`) - The contrast effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect.\n*   `cropProperties` (*type:* `GoogleApi.Docs.V1.Model.CropProperties.t`, *default:* `nil`) - The crop properties of the image.\n*   `sourceUri` (*type:* `String.t`, *default:* `nil`) - The source URI is the URI used to insert the image. The source URI can be empty.\n*   `transparency` (*type:* `number()`, *default:* `nil`) - The transparency effect of the image. The value should be in the interval [0.0, 1.0], where 0 means no effect and 1 means transparent.","ref":"GoogleApi.Docs.V1.Model.ImageProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ImageProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ImageProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ImageProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ImageProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base ImageProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState","doc":"*   `angleSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to angle.\n*   `brightnessSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to brightness.\n*   `contentUriSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to content_uri.\n*   `contrastSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to contrast.\n*   `cropPropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.CropPropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in crop_properties have been changed in this suggestion.\n*   `sourceUriSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to source_uri.\n*   `transparencySuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to transparency.","ref":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ImagePropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InlineObject","doc":"An object that appears inline with text. An InlineObject contains an EmbeddedObject such as an image.","ref":"GoogleApi.Docs.V1.Model.InlineObject.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InlineObject","doc":"*   `inlineObjectProperties` (*type:* `GoogleApi.Docs.V1.Model.InlineObjectProperties.t`, *default:* `nil`) - The properties of this inline object.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of this inline object. Can be used to update an object’s properties.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInlineObjectPropertiesChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.t}`, *default:* `nil`) - The suggested changes to the inline object properties, keyed by suggestion ID.\n*   `suggestedInsertionId` (*type:* `String.t`, *default:* `nil`) - The suggested insertion ID. If empty, then this is not a suggested insertion.","ref":"GoogleApi.Docs.V1.Model.InlineObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InlineObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InlineObject.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InlineObject.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InlineObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InlineObjectElement","doc":"A ParagraphElement that contains an InlineObject.","ref":"GoogleApi.Docs.V1.Model.InlineObjectElement.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InlineObjectElement","doc":"*   `inlineObjectId` (*type:* `String.t`, *default:* `nil`) - The ID of the InlineObject this element contains.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. An InlineObjectElement may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this InlineObject, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this InlineObjectElement. Similar to text content, like text runs and footnote references, the text style of an inline object element can affect content layout as well as the styling of text inserted next to it.","ref":"GoogleApi.Docs.V1.Model.InlineObjectElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InlineObjectElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InlineObjectElement.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InlineObjectElement.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InlineObjectElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InlineObjectProperties","doc":"Properties of an InlineObject.","ref":"GoogleApi.Docs.V1.Model.InlineObjectProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InlineObjectProperties","doc":"*   `embeddedObject` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObject.t`, *default:* `nil`) - The embedded object of this inline object.","ref":"GoogleApi.Docs.V1.Model.InlineObjectProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InlineObjectProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InlineObjectProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InlineObjectProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InlineObjectProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base InlineObjectProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState","doc":"*   `embeddedObjectSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in embedded_object have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest","doc":"Inserts an InlineObject containing an image at the given location.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertInlineImageRequest","doc":"*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts the text at the end of a header, footer or the document body. Inline images cannot be inserted inside a footnote.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts the image at a specific index in the document. The image must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Inline images cannot be inserted inside a footnote or equation.\n*   `objectSize` (*type:* `GoogleApi.Docs.V1.Model.Size.t`, *default:* `nil`) - The size that the image should appear as in the document. This property is optional and the final size of the image in the document is determined by the following rules: * If neither width nor height is specified, then a default size of the image is calculated based on its resolution. * If one dimension is specified then the other dimension is calculated to preserve the aspect ratio of the image. * If both width and height are specified, the image is scaled to fit within the provided dimensions while maintaining its aspect ratio.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The image URI. The image is fetched once at insertion time and a copy is stored for display inside the document. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URI must be publicly accessible and at most 2 kB in length. The URI itself is saved with the image, and exposed via the ImageProperties.content_uri field.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse","doc":"The result of inserting an inline image.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertInlineImageResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of the created InlineObject.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertInlineImageResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse","doc":"The result of inserting an embedded Google Sheets chart.","ref":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the inserted chart.","ref":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest","doc":"Inserts a page break followed by a newline at the specified location.","ref":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertPageBreakRequest","doc":"*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts the page break at the end of the document body. Page breaks cannot be inserted inside a footnote, header or footer. Since page breaks can only be inserted inside the body, the segment ID field must be empty.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts the page break at a specific index in the document. The page break must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Page breaks cannot be inserted inside a table, equation, footnote, header or footer. Since page breaks can only be inserted inside the body, the segment ID field must be empty.","ref":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertPageBreakRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest","doc":"Inserts a section break at the given location. A newline character will be inserted before the section break.","ref":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertSectionBreakRequest","doc":"*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts a newline and a section break at the end of the document body. Section breaks cannot be inserted inside a footnote, header or footer. Because section breaks can only be inserted inside the body, the segment ID field must be empty.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts a newline and a section break at a specific index in the document. The section break must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Section breaks cannot be inserted inside a table, equation, footnote, header, or footer. Since section breaks can only be inserted inside the body, the segment ID field must be empty.\n*   `sectionType` (*type:* `String.t`, *default:* `nil`) - The type of section to insert.","ref":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest","doc":"Inserts an empty column into a table.","ref":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertTableColumnRequest","doc":"*   `insertRight` (*type:* `boolean()`, *default:* `nil`) - Whether to insert new column to the right of the reference cell location. - `True`: insert to the right. - `False`: insert to the left.\n*   `tableCellLocation` (*type:* `GoogleApi.Docs.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which columns will be inserted. A new column will be inserted to the left (or right) of the column where the reference cell is. If the reference cell is a merged cell, a new column will be inserted to the left (or right) of the merged cell.","ref":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertTableColumnRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertTableRequest","doc":"Inserts a table at the specified location. A newline character will be inserted before the inserted table.","ref":"GoogleApi.Docs.V1.Model.InsertTableRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertTableRequest","doc":"*   `columns` (*type:* `integer()`, *default:* `nil`) - The number of columns in the table.\n*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts the table at the end of the given header, footer or document body. A newline character will be inserted before the inserted table. Tables cannot be inserted inside a footnote.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts the table at a specific model index. A newline character will be inserted before the inserted table, therefore the table start index will be at the specified location index + 1. The table must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between an existing table and its preceding paragraph). Tables cannot be inserted inside a footnote or equation.\n*   `rows` (*type:* `integer()`, *default:* `nil`) - The number of rows in the table.","ref":"GoogleApi.Docs.V1.Model.InsertTableRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertTableRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertTableRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertTableRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertTableRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertTableRowRequest","doc":"Inserts an empty row into a table.","ref":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertTableRowRequest","doc":"*   `insertBelow` (*type:* `boolean()`, *default:* `nil`) - Whether to insert new row below the reference cell location. - `True`: insert below the cell. - `False`: insert above the cell.\n*   `tableCellLocation` (*type:* `GoogleApi.Docs.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which rows will be inserted. A new row will be inserted above (or below) the row where the reference cell is. If the reference cell is a merged cell, a new row will be inserted above (or below) the merged cell.","ref":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertTableRowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.InsertTextRequest","doc":"Inserts text at the specified location.","ref":"GoogleApi.Docs.V1.Model.InsertTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.InsertTextRequest","doc":"*   `endOfSegmentLocation` (*type:* `GoogleApi.Docs.V1.Model.EndOfSegmentLocation.t`, *default:* `nil`) - Inserts the text at the end of a header, footer, footnote or the document body.\n*   `location` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - Inserts the text at a specific index in the document. Text must be inserted inside the bounds of an existing Paragraph. For instance, text cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). The text must be inserted in the preceding paragraph.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The text to be inserted. Inserting a newline character will implicitly create a new Paragraph at that index. The paragraph style of the new paragraph will be copied from the paragraph at the current insertion index, including lists and bullets. Text styles for inserted text will be determined automatically, generally preserving the styling of neighboring text. In most cases, the text style for the inserted text will match the text immediately before the insertion index. Some control characters (U+0000-U+0008, U+000C-U+001F) and characters from the Unicode Basic Multilingual Plane Private Use Area (U+E000-U+F8FF) will be stripped out of the inserted text.","ref":"GoogleApi.Docs.V1.Model.InsertTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.InsertTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.InsertTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.InsertTextRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.InsertTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Link","doc":"A reference to another portion of a document or an external URL resource.","ref":"GoogleApi.Docs.V1.Model.Link.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Link","doc":"*   `bookmark` (*type:* `GoogleApi.Docs.V1.Model.BookmarkLink.t`, *default:* `nil`) - A bookmark in this document. In documents containing a single tab, links to bookmarks within the singular tab continue to return Link.bookmark_id when the includeTabsContent parameter is set to `false` or unset. Otherwise, this field is returned.\n*   `bookmarkId` (*type:* `String.t`, *default:* `nil`) - The ID of a bookmark in this document.\n*   `heading` (*type:* `GoogleApi.Docs.V1.Model.HeadingLink.t`, *default:* `nil`) - A heading in this document. In documents containing a single tab, links to headings within the singular tab continue to return Link.heading_id when the includeTabsContent parameter is set to `false` or unset. Otherwise, this field is returned.\n*   `headingId` (*type:* `String.t`, *default:* `nil`) - The ID of a heading in this document.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The ID of a tab in this document.\n*   `url` (*type:* `String.t`, *default:* `nil`) - An external URL.","ref":"GoogleApi.Docs.V1.Model.Link.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Link.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Link.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Link.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Link.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.LinkedContentReference","doc":"A reference to the external linked source content.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReference.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.LinkedContentReference","doc":"*   `sheetsChartReference` (*type:* `GoogleApi.Docs.V1.Model.SheetsChartReference.t`, *default:* `nil`) - A reference to the linked chart.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.LinkedContentReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReference.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.LinkedContentReference.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.LinkedContentReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState","doc":"A mask that indicates which of the fields on the base LinkedContentReference have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState","doc":"*   `sheetsChartReferenceSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in sheets_chart_reference have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.LinkedContentReferenceSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.List","doc":"A List represents the list attributes for a group of paragraphs that all belong to the same list. A paragraph that's part of a list has a reference to the list's ID in its bullet.","ref":"GoogleApi.Docs.V1.Model.List.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.List","doc":"*   `listProperties` (*type:* `GoogleApi.Docs.V1.Model.ListProperties.t`, *default:* `nil`) - The properties of the list.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this list.\n*   `suggestedInsertionId` (*type:* `String.t`, *default:* `nil`) - The suggested insertion ID. If empty, then this is not a suggested insertion.\n*   `suggestedListPropertiesChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedListProperties.t}`, *default:* `nil`) - The suggested changes to the list properties, keyed by suggestion ID.","ref":"GoogleApi.Docs.V1.Model.List.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.List.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.List.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.List.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.List.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ListProperties","doc":"The properties of a list that describe the look and feel of bullets belonging to paragraphs associated with a list.","ref":"GoogleApi.Docs.V1.Model.ListProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ListProperties","doc":"*   `nestingLevels` (*type:* `list(GoogleApi.Docs.V1.Model.NestingLevel.t)`, *default:* `nil`) - Describes the properties of the bullets at the associated level. A list has at most 9 levels of nesting with nesting level 0 corresponding to the top-most level and nesting level 8 corresponding to the most nested level. The nesting levels are returned in ascending order with the least nested returned first.","ref":"GoogleApi.Docs.V1.Model.ListProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ListProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ListProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ListProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ListProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base ListProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState","doc":"*   `nestingLevelsSuggestionStates` (*type:* `list(GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.t)`, *default:* `nil`) - A mask that indicates which of the fields on the corresponding NestingLevel in nesting_levels have been changed in this suggestion. The nesting level suggestion states are returned in ascending order of the nesting level with the least nested returned first.","ref":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Location","doc":"A particular location in the document.","ref":"GoogleApi.Docs.V1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Location","doc":"*   `index` (*type:* `integer()`, *default:* `nil`) - The zero-based index, in UTF-16 code units. The index is relative to the beginning of the segment specified by segment_id.\n*   `segmentId` (*type:* `String.t`, *default:* `nil`) - The ID of the header, footer or footnote the location is in. An empty segment ID signifies the document's body.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that the location is in. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Location.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest","doc":"Merges cells in a Table.","ref":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.MergeTableCellsRequest","doc":"*   `tableRange` (*type:* `GoogleApi.Docs.V1.Model.TableRange.t`, *default:* `nil`) - The table range specifying which cells of the table to merge. Any text in the cells being merged will be concatenated and stored in the \"head\" cell of the range. This is the upper-left cell of the range when the content direction is left to right, and the upper-right cell of the range otherwise. If the range is non-rectangular (which can occur in some cases where the range covers cells that are already merged or where the table is non-rectangular), a 400 bad request error is returned.","ref":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.MergeTableCellsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedRange","doc":"A collection of Ranges with the same named range ID. Named ranges allow developers to associate parts of a document with an arbitrary user-defined label so their contents can be programmatically read or edited later. A document can contain multiple named ranges with the same name, but every named range has a unique ID. A named range is created with a single Range, and content inserted inside a named range generally expands that range. However, certain document changes can cause the range to be split into multiple ranges. Named ranges are not private. All applications and collaborators that have access to the document can see its named ranges.","ref":"GoogleApi.Docs.V1.Model.NamedRange.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedRange","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the named range.\n*   `namedRangeId` (*type:* `String.t`, *default:* `nil`) - The ID of the named range.\n*   `ranges` (*type:* `list(GoogleApi.Docs.V1.Model.Range.t)`, *default:* `nil`) - The ranges that belong to this named range.","ref":"GoogleApi.Docs.V1.Model.NamedRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedRange.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedRange.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedRanges","doc":"A collection of all the NamedRanges in the document that share a given name.","ref":"GoogleApi.Docs.V1.Model.NamedRanges.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedRanges","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name that all the named ranges share.\n*   `namedRanges` (*type:* `list(GoogleApi.Docs.V1.Model.NamedRange.t)`, *default:* `nil`) - The NamedRanges that share the same name.","ref":"GoogleApi.Docs.V1.Model.NamedRanges.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedRanges.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedRanges.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedRanges.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedRanges.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedStyle","doc":"A named style. Paragraphs in the document can inherit their TextStyle and ParagraphStyle from this named style when they have the same named style type.","ref":"GoogleApi.Docs.V1.Model.NamedStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedStyle","doc":"*   `namedStyleType` (*type:* `String.t`, *default:* `nil`) - The type of this named style.\n*   `paragraphStyle` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyle.t`, *default:* `nil`) - The paragraph style of this named style.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this named style.","ref":"GoogleApi.Docs.V1.Model.NamedStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState","doc":"A suggestion state of a NamedStyle message.","ref":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedStyleSuggestionState","doc":"*   `namedStyleType` (*type:* `String.t`, *default:* `nil`) - The named style type that this suggestion state corresponds to. This field is provided as a convenience for matching the NamedStyleSuggestionState with its corresponding NamedStyle.\n*   `paragraphStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in paragraph style have been changed in this suggestion.\n*   `textStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TextStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in text style have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedStyles","doc":"The named styles. Paragraphs in the document can inherit their TextStyle and ParagraphStyle from these named styles.","ref":"GoogleApi.Docs.V1.Model.NamedStyles.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedStyles","doc":"*   `styles` (*type:* `list(GoogleApi.Docs.V1.Model.NamedStyle.t)`, *default:* `nil`) - The named styles. There's an entry for each of the possible named style types.","ref":"GoogleApi.Docs.V1.Model.NamedStyles.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedStyles.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedStyles.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedStyles.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedStyles.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState","doc":"The suggestion state of a NamedStyles message.","ref":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NamedStylesSuggestionState","doc":"*   `stylesSuggestionStates` (*type:* `list(GoogleApi.Docs.V1.Model.NamedStyleSuggestionState.t)`, *default:* `nil`) - A mask that indicates which of the fields on the corresponding NamedStyle in styles have been changed in this suggestion. The order of these named style suggestion states matches the order of the corresponding named style within the named styles suggestion.","ref":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NestingLevel","doc":"Contains properties describing the look and feel of a list bullet at a given level of nesting.","ref":"GoogleApi.Docs.V1.Model.NestingLevel.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NestingLevel","doc":"*   `bulletAlignment` (*type:* `String.t`, *default:* `nil`) - The alignment of the bullet within the space allotted for rendering the bullet.\n*   `glyphFormat` (*type:* `String.t`, *default:* `nil`) - The format string used by bullets at this level of nesting. The glyph format contains one or more placeholders, and these placeholders are replaced with the appropriate values depending on the glyph_type or glyph_symbol. The placeholders follow the pattern `%[nesting_level]`. Furthermore, placeholders can have prefixes and suffixes. Thus, the glyph format follows the pattern `%[nesting_level]`. Note that the prefix and suffix are optional and can be arbitrary strings. For example, the glyph format `%0.` indicates that the rendered glyph will replace the placeholder with the corresponding glyph for nesting level 0 followed by a period as the suffix. So a list with a glyph type of UPPER_ALPHA and glyph format `%0.` at nesting level 0 will result in a list with rendered glyphs `A.` `B.` `C.` The glyph format can contain placeholders for the current nesting level as well as placeholders for parent nesting levels. For example, a list can have a glyph format of `%0.` at nesting level 0 and a glyph format of `%0.%1.` at nesting level 1. Assuming both nesting levels have DECIMAL glyph types, this would result in a list with rendered glyphs `1.` `2.` ` 2.1.` ` 2.2.` `3.` For nesting levels that are ordered, the string that replaces a placeholder in the glyph format for a particular paragraph depends on the paragraph's order within the list.\n*   `glyphSymbol` (*type:* `String.t`, *default:* `nil`) - A custom glyph symbol used by bullets when paragraphs at this level of nesting are unordered. The glyph symbol replaces placeholders within the glyph_format. For example, if the glyph_symbol is the solid circle corresponding to Unicode U+25cf code point and the glyph_format is `%0`, the rendered glyph would be the solid circle.\n*   `glyphType` (*type:* `String.t`, *default:* `nil`) - The type of glyph used by bullets when paragraphs at this level of nesting are ordered. The glyph type determines the type of glyph used to replace placeholders within the glyph_format when paragraphs at this level of nesting are ordered. For example, if the nesting level is 0, the glyph_format is `%0.` and the glyph type is DECIMAL, then the rendered glyph would replace the placeholder `%0` in the glyph format with a number corresponding to list item's order within the list.\n*   `indentFirstLine` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for the first line of paragraphs at this level of nesting.\n*   `indentStart` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for paragraphs at this level of nesting. Applied to the side that corresponds to the start of the text, based on the paragraph's content direction.\n*   `startNumber` (*type:* `integer()`, *default:* `nil`) - The number of the first list item at this nesting level. A value of 0 is treated as a value of 1 for lettered lists and Roman numeral lists. For values of both 0 and 1, lettered and Roman numeral lists will begin at `a` and `i` respectively. This value is ignored for nesting levels with unordered glyphs.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of bullets at this level of nesting.","ref":"GoogleApi.Docs.V1.Model.NestingLevel.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NestingLevel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NestingLevel.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NestingLevel.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NestingLevel.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState","doc":"A mask that indicates which of the fields on the base NestingLevel have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.NestingLevelSuggestionState","doc":"*   `bulletAlignmentSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to bullet_alignment.\n*   `glyphFormatSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to glyph_format.\n*   `glyphSymbolSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to glyph_symbol.\n*   `glyphTypeSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to glyph_type.\n*   `indentFirstLineSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to indent_first_line.\n*   `indentStartSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to indent_start.\n*   `startNumberSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to start_number.\n*   `textStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TextStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in text style have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.NestingLevelSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ObjectReferences","doc":"A collection of object IDs.","ref":"GoogleApi.Docs.V1.Model.ObjectReferences.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ObjectReferences","doc":"*   `objectIds` (*type:* `list(String.t)`, *default:* `nil`) - The object IDs.","ref":"GoogleApi.Docs.V1.Model.ObjectReferences.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ObjectReferences.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ObjectReferences.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ObjectReferences.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ObjectReferences.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.OptionalColor","doc":"A color that can either be fully opaque or fully transparent.","ref":"GoogleApi.Docs.V1.Model.OptionalColor.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.OptionalColor","doc":"*   `color` (*type:* `GoogleApi.Docs.V1.Model.Color.t`, *default:* `nil`) - If set, this will be used as an opaque color. If unset, this represents a transparent color.","ref":"GoogleApi.Docs.V1.Model.OptionalColor.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.OptionalColor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.OptionalColor.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.OptionalColor.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.OptionalColor.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PageBreak","doc":"A ParagraphElement representing a page break. A page break makes the subsequent text start at the top of the next page.","ref":"GoogleApi.Docs.V1.Model.PageBreak.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PageBreak","doc":"*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A PageBreak may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this PageBreak, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this PageBreak. Similar to text content, like text runs and footnote references, the text style of a page break can affect content layout as well as the styling of text inserted next to it.","ref":"GoogleApi.Docs.V1.Model.PageBreak.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PageBreak.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PageBreak.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PageBreak.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PageBreak.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Paragraph","doc":"A StructuralElement representing a paragraph. A paragraph is a range of content that's terminated with a newline character.","ref":"GoogleApi.Docs.V1.Model.Paragraph.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Paragraph","doc":"*   `bullet` (*type:* `GoogleApi.Docs.V1.Model.Bullet.t`, *default:* `nil`) - The bullet for this paragraph. If not present, the paragraph does not belong to a list.\n*   `elements` (*type:* `list(GoogleApi.Docs.V1.Model.ParagraphElement.t)`, *default:* `nil`) - The content of the paragraph, broken down into its component parts.\n*   `paragraphStyle` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyle.t`, *default:* `nil`) - The style of this paragraph.\n*   `positionedObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The IDs of the positioned objects tethered to this paragraph.\n*   `suggestedBulletChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedBullet.t}`, *default:* `nil`) - The suggested changes to this paragraph's bullet.\n*   `suggestedParagraphStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.t}`, *default:* `nil`) - The suggested paragraph style changes to this paragraph, keyed by suggestion ID.\n*   `suggestedPositionedObjectIds` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.ObjectReferences.t}`, *default:* `nil`) - The IDs of the positioned objects suggested to be attached to this paragraph, keyed by suggestion ID.","ref":"GoogleApi.Docs.V1.Model.Paragraph.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Paragraph.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Paragraph.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Paragraph.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Paragraph.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ParagraphBorder","doc":"A border around a paragraph.","ref":"GoogleApi.Docs.V1.Model.ParagraphBorder.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ParagraphBorder","doc":"*   `color` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The color of the border.\n*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the border.\n*   `padding` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The padding of the border.\n*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The width of the border.","ref":"GoogleApi.Docs.V1.Model.ParagraphBorder.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ParagraphBorder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ParagraphBorder.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ParagraphBorder.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ParagraphBorder.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ParagraphElement","doc":"A ParagraphElement describes content within a Paragraph.","ref":"GoogleApi.Docs.V1.Model.ParagraphElement.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ParagraphElement","doc":"*   `autoText` (*type:* `GoogleApi.Docs.V1.Model.AutoText.t`, *default:* `nil`) - An auto text paragraph element.\n*   `columnBreak` (*type:* `GoogleApi.Docs.V1.Model.ColumnBreak.t`, *default:* `nil`) - A column break paragraph element.\n*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-base end index of this paragraph element, exclusive, in UTF-16 code units.\n*   `equation` (*type:* `GoogleApi.Docs.V1.Model.Equation.t`, *default:* `nil`) - An equation paragraph element.\n*   `footnoteReference` (*type:* `GoogleApi.Docs.V1.Model.FootnoteReference.t`, *default:* `nil`) - A footnote reference paragraph element.\n*   `horizontalRule` (*type:* `GoogleApi.Docs.V1.Model.HorizontalRule.t`, *default:* `nil`) - A horizontal rule paragraph element.\n*   `inlineObjectElement` (*type:* `GoogleApi.Docs.V1.Model.InlineObjectElement.t`, *default:* `nil`) - An inline object paragraph element.\n*   `pageBreak` (*type:* `GoogleApi.Docs.V1.Model.PageBreak.t`, *default:* `nil`) - A page break paragraph element.\n*   `person` (*type:* `GoogleApi.Docs.V1.Model.Person.t`, *default:* `nil`) - A paragraph element that links to a person or email address.\n*   `richLink` (*type:* `GoogleApi.Docs.V1.Model.RichLink.t`, *default:* `nil`) - A paragraph element that links to a Google resource (such as a file in Google Drive, a YouTube video, or a Calendar event.)\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this paragraph element, in UTF-16 code units.\n*   `textRun` (*type:* `GoogleApi.Docs.V1.Model.TextRun.t`, *default:* `nil`) - A text run paragraph element.","ref":"GoogleApi.Docs.V1.Model.ParagraphElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ParagraphElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ParagraphElement.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ParagraphElement.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ParagraphElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ParagraphStyle","doc":"Styles that apply to a whole paragraph. Inherited paragraph styles are represented as unset fields in this message. A paragraph style's parent depends on where the paragraph style is defined: * The ParagraphStyle on a Paragraph inherits from the paragraph's corresponding named style type. * The ParagraphStyle on a named style inherits from the normal text named style. * The ParagraphStyle of the normal text named style inherits from the default paragraph style in the Docs editor. * The ParagraphStyle on a Paragraph element that's contained in a table may inherit its paragraph style from the table style. If the paragraph style does not inherit from a parent, unsetting fields will revert the style to a value matching the defaults in the Docs editor.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ParagraphStyle","doc":"*   `alignment` (*type:* `String.t`, *default:* `nil`) - The text alignment for this paragraph.\n*   `avoidWidowAndOrphan` (*type:* `boolean()`, *default:* `nil`) - Whether to avoid widows and orphans for the paragraph. If unset, the value is inherited from the parent.\n*   `borderBetween` (*type:* `GoogleApi.Docs.V1.Model.ParagraphBorder.t`, *default:* `nil`) - The border between this paragraph and the next and previous paragraphs. If unset, the value is inherited from the parent. The between border is rendered when the adjacent paragraph has the same border and indent properties. Paragraph borders cannot be partially updated. When changing a paragraph border, the new border must be specified in its entirety.\n*   `borderBottom` (*type:* `GoogleApi.Docs.V1.Model.ParagraphBorder.t`, *default:* `nil`) - The border at the bottom of this paragraph. If unset, the value is inherited from the parent. The bottom border is rendered when the paragraph below has different border and indent properties. Paragraph borders cannot be partially updated. When changing a paragraph border, the new border must be specified in its entirety.\n*   `borderLeft` (*type:* `GoogleApi.Docs.V1.Model.ParagraphBorder.t`, *default:* `nil`) - The border to the left of this paragraph. If unset, the value is inherited from the parent. Paragraph borders cannot be partially updated. When changing a paragraph border, the new border must be specified in its entirety.\n*   `borderRight` (*type:* `GoogleApi.Docs.V1.Model.ParagraphBorder.t`, *default:* `nil`) - The border to the right of this paragraph. If unset, the value is inherited from the parent. Paragraph borders cannot be partially updated. When changing a paragraph border, the new border must be specified in its entirety.\n*   `borderTop` (*type:* `GoogleApi.Docs.V1.Model.ParagraphBorder.t`, *default:* `nil`) - The border at the top of this paragraph. If unset, the value is inherited from the parent. The top border is rendered when the paragraph above has different border and indent properties. Paragraph borders cannot be partially updated. When changing a paragraph border, the new border must be specified in its entirety.\n*   `direction` (*type:* `String.t`, *default:* `nil`) - The text direction of this paragraph. If unset, the value defaults to LEFT_TO_RIGHT since paragraph direction is not inherited.\n*   `headingId` (*type:* `String.t`, *default:* `nil`) - The heading ID of the paragraph. If empty, then this paragraph is not a heading. This property is read-only.\n*   `indentEnd` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for the paragraph on the side that corresponds to the end of the text, based on the current paragraph direction. If unset, the value is inherited from the parent.\n*   `indentFirstLine` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for the first line of the paragraph. If unset, the value is inherited from the parent.\n*   `indentStart` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for the paragraph on the side that corresponds to the start of the text, based on the current paragraph direction. If unset, the value is inherited from the parent.\n*   `keepLinesTogether` (*type:* `boolean()`, *default:* `nil`) - Whether all lines of the paragraph should be laid out on the same page or column if possible. If unset, the value is inherited from the parent.\n*   `keepWithNext` (*type:* `boolean()`, *default:* `nil`) - Whether at least a part of this paragraph should be laid out on the same page or column as the next paragraph if possible. If unset, the value is inherited from the parent.\n*   `lineSpacing` (*type:* `number()`, *default:* `nil`) - The amount of space between lines, as a percentage of normal, where normal is represented as 100.0. If unset, the value is inherited from the parent.\n*   `namedStyleType` (*type:* `String.t`, *default:* `nil`) - The named style type of the paragraph. Since updating the named style type affects other properties within ParagraphStyle, the named style type is applied before the other properties are updated.\n*   `pageBreakBefore` (*type:* `boolean()`, *default:* `nil`) - Whether the current paragraph should always start at the beginning of a page. If unset, the value is inherited from the parent. Attempting to update page_break_before for paragraphs in unsupported regions, including Table, Header, Footer and Footnote, can result in an invalid document state that returns a 400 bad request error.\n*   `shading` (*type:* `GoogleApi.Docs.V1.Model.Shading.t`, *default:* `nil`) - The shading of the paragraph. If unset, the value is inherited from the parent.\n*   `spaceAbove` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of extra space above the paragraph. If unset, the value is inherited from the parent.\n*   `spaceBelow` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The amount of extra space below the paragraph. If unset, the value is inherited from the parent.\n*   `spacingMode` (*type:* `String.t`, *default:* `nil`) - The spacing mode for the paragraph.\n*   `tabStops` (*type:* `list(GoogleApi.Docs.V1.Model.TabStop.t)`, *default:* `nil`) - A list of the tab stops for this paragraph. The list of tab stops is not inherited. This property is read-only.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ParagraphStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ParagraphStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ParagraphStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState","doc":"A mask that indicates which of the fields on the base ParagraphStyle have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState","doc":"*   `alignmentSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to alignment.\n*   `avoidWidowAndOrphanSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to avoid_widow_and_orphan.\n*   `borderBetweenSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_between.\n*   `borderBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_bottom.\n*   `borderLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_left.\n*   `borderRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_right.\n*   `borderTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_top.\n*   `directionSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to direction.\n*   `headingIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to heading_id.\n*   `indentEndSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to indent_end.\n*   `indentFirstLineSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to indent_first_line.\n*   `indentStartSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to indent_start.\n*   `keepLinesTogetherSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to keep_lines_together.\n*   `keepWithNextSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to keep_with_next.\n*   `lineSpacingSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to line_spacing.\n*   `namedStyleTypeSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to named_style_type.\n*   `pageBreakBeforeSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to page_break_before.\n*   `shadingSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.ShadingSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in shading have been changed in this suggestion.\n*   `spaceAboveSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to space_above.\n*   `spaceBelowSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to space_below.\n*   `spacingModeSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to spacing_mode.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Person","doc":"A person or email address mentioned in a document. These mentions behave as a single, immutable element containing the person's name or email address.","ref":"GoogleApi.Docs.V1.Model.Person.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Person","doc":"*   `personId` (*type:* `String.t`, *default:* `nil`) - Output only. The unique ID of this link.\n*   `personProperties` (*type:* `GoogleApi.Docs.V1.Model.PersonProperties.t`, *default:* `nil`) - Output only. The properties of this Person. This field is always present.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - IDs for suggestions that remove this person link from the document. A Person might have multiple deletion IDs if, for example, multiple users suggest deleting it. If empty, then this person link isn't suggested for deletion.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - IDs for suggestions that insert this person link into the document. A Person might have multiple insertion IDs if it's a nested suggested change (a suggestion within a suggestion made by a different user, for example). If empty, then this person link isn't a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this Person, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this Person.","ref":"GoogleApi.Docs.V1.Model.Person.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Person.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Person.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Person.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Person.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PersonProperties","doc":"Properties specific to a linked Person.","ref":"GoogleApi.Docs.V1.Model.PersonProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PersonProperties","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - Output only. The email address linked to this Person. This field is always present.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The name of the person if it's displayed in the link text instead of the person's email address.","ref":"GoogleApi.Docs.V1.Model.PersonProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PersonProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PersonProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PersonProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PersonProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest","doc":"Updates the number of pinned table header rows in a table.","ref":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest","doc":"*   `pinnedHeaderRowsCount` (*type:* `integer()`, *default:* `nil`) - The number of table rows to pin, where 0 implies that all rows are unpinned.\n*   `tableStartLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location where the table starts in the document.","ref":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PositionedObject","doc":"An object that's tethered to a Paragraph and positioned relative to the beginning of the paragraph. A PositionedObject contains an EmbeddedObject such as an image.","ref":"GoogleApi.Docs.V1.Model.PositionedObject.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PositionedObject","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of this positioned object.\n*   `positionedObjectProperties` (*type:* `GoogleApi.Docs.V1.Model.PositionedObjectProperties.t`, *default:* `nil`) - The properties of this positioned object.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionId` (*type:* `String.t`, *default:* `nil`) - The suggested insertion ID. If empty, then this is not a suggested insertion.\n*   `suggestedPositionedObjectPropertiesChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.t}`, *default:* `nil`) - The suggested changes to the positioned object properties, keyed by suggestion ID.","ref":"GoogleApi.Docs.V1.Model.PositionedObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PositionedObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PositionedObject.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PositionedObject.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PositionedObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning","doc":"The positioning of a PositionedObject. The positioned object is positioned relative to the beginning of the Paragraph it's tethered to.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PositionedObjectPositioning","doc":"*   `layout` (*type:* `String.t`, *default:* `nil`) - The layout of this positioned object.\n*   `leftOffset` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The offset of the left edge of the positioned object relative to the beginning of the Paragraph it's tethered to. The exact positioning of the object can depend on other content in the document and the document's styling.\n*   `topOffset` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The offset of the top edge of the positioned object relative to the beginning of the Paragraph it's tethered to. The exact positioning of the object can depend on other content in the document and the document's styling.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioning.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState","doc":"A mask that indicates which of the fields on the base PositionedObjectPositioning have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState","doc":"*   `layoutSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to layout.\n*   `leftOffsetSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to left_offset.\n*   `topOffsetSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to top_offset.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PositionedObjectProperties","doc":"Properties of a PositionedObject.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PositionedObjectProperties","doc":"*   `embeddedObject` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObject.t`, *default:* `nil`) - The embedded object of this positioned object.\n*   `positioning` (*type:* `GoogleApi.Docs.V1.Model.PositionedObjectPositioning.t`, *default:* `nil`) - The positioning of this positioned object relative to the newline of the Paragraph that references this positioned object.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PositionedObjectProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState","doc":"A mask that indicates which of the fields on the base PositionedObjectProperties have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState","doc":"*   `embeddedObjectSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.EmbeddedObjectSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in embedded_object have been changed in this suggestion.\n*   `positioningSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.PositionedObjectPositioningSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields in positioning have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Range","doc":"Specifies a contiguous range of text.","ref":"GoogleApi.Docs.V1.Model.Range.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Range","doc":"*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based end index of this range, exclusive, in UTF-16 code units. In all current uses, an end index must be provided. This field is an Int32Value in order to accommodate future use cases with open-ended ranges.\n*   `segmentId` (*type:* `String.t`, *default:* `nil`) - The ID of the header, footer, or footnote that this range is contained in. An empty segment ID signifies the document's body.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this range, in UTF-16 code units. In all current uses, a start index must be provided. This field is an Int32Value in order to accommodate future use cases with open-ended ranges.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that contains this range. When omitted, the request applies to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.Range.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Range.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Range.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Range.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Range.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest","doc":"Replaces all instances of text matching a criteria with replace text.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ReplaceAllTextRequest","doc":"*   `containsText` (*type:* `GoogleApi.Docs.V1.Model.SubstringMatchCriteria.t`, *default:* `nil`) - Finds text in the document matching this substring.\n*   `replaceText` (*type:* `String.t`, *default:* `nil`) - The text that will replace the matched text.\n*   `tabsCriteria` (*type:* `GoogleApi.Docs.V1.Model.TabsCriteria.t`, *default:* `nil`) - Optional. The criteria used to specify in which tabs the replacement occurs. When omitted, the replacement applies to all tabs. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the replacement applies to the singular tab. In a document containing multiple tabs: - If provided, the replacement applies to the specified tabs. - If omitted, the replacement applies to all tabs.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse","doc":"The result of replacing text.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ReplaceAllTextResponse","doc":"*   `occurrencesChanged` (*type:* `integer()`, *default:* `nil`) - The number of occurrences changed by replacing all text.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ReplaceImageRequest","doc":"Replaces an existing image with a new image. Replacing an image removes some image effects from the existing image in order to mirror the behavior of the Docs editor.","ref":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ReplaceImageRequest","doc":"*   `imageObjectId` (*type:* `String.t`, *default:* `nil`) - The ID of the existing image that will be replaced. The ID can be retrieved from the response of a get request.\n*   `imageReplaceMethod` (*type:* `String.t`, *default:* `nil`) - The replacement method.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that the image to be replaced is in. When omitted, the request is applied to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If omitted, the request applies to the first tab in the document.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The URI of the new image. The image is fetched once at insertion time and a copy is stored for display inside the document. Images must be less than 50MB, cannot exceed 25 megapixels, and must be in PNG, JPEG, or GIF format. The provided URI can't surpass 2 KB in length. The URI is saved with the image, and exposed through the ImageProperties.source_uri field.","ref":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ReplaceImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest","doc":"Replaces the contents of the specified NamedRange or NamedRanges with the given replacement content. Note that an individual NamedRange may consist of multiple discontinuous ranges. In this case, only the content in the first range will be replaced. The other ranges and their content will be deleted. In cases where replacing or deleting any ranges would result in an invalid document structure, a 400 bad request error is returned.","ref":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest","doc":"*   `namedRangeId` (*type:* `String.t`, *default:* `nil`) - The ID of the named range whose content will be replaced. If there is no named range with the given ID a 400 bad request error is returned.\n*   `namedRangeName` (*type:* `String.t`, *default:* `nil`) - The name of the NamedRanges whose content will be replaced. If there are multiple named ranges with the given name, then the content of each one will be replaced. If there are no named ranges with the given name, then the request will be a no-op.\n*   `tabsCriteria` (*type:* `GoogleApi.Docs.V1.Model.TabsCriteria.t`, *default:* `nil`) - Optional. The criteria used to specify in which tabs the replacement occurs. When omitted, the replacement applies to all tabs. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the replacement applies to the singular tab. In a document containing multiple tabs: - If provided, the replacement applies to the specified tabs. - If omitted, the replacement applies to all tabs.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Replaces the content of the specified named range(s) with the given text.","ref":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Request","doc":"A single update to apply to a document.","ref":"GoogleApi.Docs.V1.Model.Request.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Request","doc":"*   `mergeTableCells` (*type:* `GoogleApi.Docs.V1.Model.MergeTableCellsRequest.t`, *default:* `nil`) - Merges cells in a table.\n*   `deleteParagraphBullets` (*type:* `GoogleApi.Docs.V1.Model.DeleteParagraphBulletsRequest.t`, *default:* `nil`) - Deletes bullets from paragraphs.\n*   `insertPageBreak` (*type:* `GoogleApi.Docs.V1.Model.InsertPageBreakRequest.t`, *default:* `nil`) - Inserts a page break at the specified location.\n*   `createFooter` (*type:* `GoogleApi.Docs.V1.Model.CreateFooterRequest.t`, *default:* `nil`) - Creates a footer.\n*   `updateTableCellStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.t`, *default:* `nil`) - Updates the style of table cells.\n*   `createFootnote` (*type:* `GoogleApi.Docs.V1.Model.CreateFootnoteRequest.t`, *default:* `nil`) - Creates a footnote.\n*   `insertTableRow` (*type:* `GoogleApi.Docs.V1.Model.InsertTableRowRequest.t`, *default:* `nil`) - Inserts an empty row into a table.\n*   `updateTextStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.t`, *default:* `nil`) - Updates the text style at the specified range.\n*   `replaceNamedRangeContent` (*type:* `GoogleApi.Docs.V1.Model.ReplaceNamedRangeContentRequest.t`, *default:* `nil`) - Replaces the content in a named range.\n*   `replaceAllText` (*type:* `GoogleApi.Docs.V1.Model.ReplaceAllTextRequest.t`, *default:* `nil`) - Replaces all instances of the specified text.\n*   `insertSectionBreak` (*type:* `GoogleApi.Docs.V1.Model.InsertSectionBreakRequest.t`, *default:* `nil`) - Inserts a section break at the specified location.\n*   `deletePositionedObject` (*type:* `GoogleApi.Docs.V1.Model.DeletePositionedObjectRequest.t`, *default:* `nil`) - Deletes a positioned object from the document.\n*   `updateTableRowStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.t`, *default:* `nil`) - Updates the row style in a table.\n*   `updateDocumentStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.t`, *default:* `nil`) - Updates the style of the document.\n*   `insertInlineImage` (*type:* `GoogleApi.Docs.V1.Model.InsertInlineImageRequest.t`, *default:* `nil`) - Inserts an inline image at the specified location.\n*   `insertTableColumn` (*type:* `GoogleApi.Docs.V1.Model.InsertTableColumnRequest.t`, *default:* `nil`) - Inserts an empty column into a table.\n*   `unmergeTableCells` (*type:* `GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.t`, *default:* `nil`) - Unmerges cells in a table.\n*   `deleteHeader` (*type:* `GoogleApi.Docs.V1.Model.DeleteHeaderRequest.t`, *default:* `nil`) - Deletes a header from the document.\n*   `deleteTableRow` (*type:* `GoogleApi.Docs.V1.Model.DeleteTableRowRequest.t`, *default:* `nil`) - Deletes a row from a table.\n*   `deleteTableColumn` (*type:* `GoogleApi.Docs.V1.Model.DeleteTableColumnRequest.t`, *default:* `nil`) - Deletes a column from a table.\n*   `deleteFooter` (*type:* `GoogleApi.Docs.V1.Model.DeleteFooterRequest.t`, *default:* `nil`) - Deletes a footer from the document.\n*   `pinTableHeaderRows` (*type:* `GoogleApi.Docs.V1.Model.PinTableHeaderRowsRequest.t`, *default:* `nil`) - Updates the number of pinned header rows in a table.\n*   `insertText` (*type:* `GoogleApi.Docs.V1.Model.InsertTextRequest.t`, *default:* `nil`) - Inserts text at the specified location.\n*   `deleteContentRange` (*type:* `GoogleApi.Docs.V1.Model.DeleteContentRangeRequest.t`, *default:* `nil`) - Deletes content from the document.\n*   `updateSectionStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.t`, *default:* `nil`) - Updates the section style of the specified range.\n*   `createHeader` (*type:* `GoogleApi.Docs.V1.Model.CreateHeaderRequest.t`, *default:* `nil`) - Creates a header.\n*   `replaceImage` (*type:* `GoogleApi.Docs.V1.Model.ReplaceImageRequest.t`, *default:* `nil`) - Replaces an image in the document.\n*   `updateTableColumnProperties` (*type:* `GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.t`, *default:* `nil`) - Updates the properties of columns in a table.\n*   `createNamedRange` (*type:* `GoogleApi.Docs.V1.Model.CreateNamedRangeRequest.t`, *default:* `nil`) - Creates a named range.\n*   `updateParagraphStyle` (*type:* `GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.t`, *default:* `nil`) - Updates the paragraph style at the specified range.\n*   `createParagraphBullets` (*type:* `GoogleApi.Docs.V1.Model.CreateParagraphBulletsRequest.t`, *default:* `nil`) - Creates bullets for paragraphs.\n*   `deleteNamedRange` (*type:* `GoogleApi.Docs.V1.Model.DeleteNamedRangeRequest.t`, *default:* `nil`) - Deletes a named range.\n*   `insertTable` (*type:* `GoogleApi.Docs.V1.Model.InsertTableRequest.t`, *default:* `nil`) - Inserts a table at the specified location.","ref":"GoogleApi.Docs.V1.Model.Request.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Request.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Request.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Request.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Request.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Response","doc":"A single response from an update.","ref":"GoogleApi.Docs.V1.Model.Response.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Response","doc":"*   `createFooter` (*type:* `GoogleApi.Docs.V1.Model.CreateFooterResponse.t`, *default:* `nil`) - The result of creating a footer.\n*   `createFootnote` (*type:* `GoogleApi.Docs.V1.Model.CreateFootnoteResponse.t`, *default:* `nil`) - The result of creating a footnote.\n*   `createHeader` (*type:* `GoogleApi.Docs.V1.Model.CreateHeaderResponse.t`, *default:* `nil`) - The result of creating a header.\n*   `createNamedRange` (*type:* `GoogleApi.Docs.V1.Model.CreateNamedRangeResponse.t`, *default:* `nil`) - The result of creating a named range.\n*   `insertInlineImage` (*type:* `GoogleApi.Docs.V1.Model.InsertInlineImageResponse.t`, *default:* `nil`) - The result of inserting an inline image.\n*   `insertInlineSheetsChart` (*type:* `GoogleApi.Docs.V1.Model.InsertInlineSheetsChartResponse.t`, *default:* `nil`) - The result of inserting an inline Google Sheets chart.\n*   `replaceAllText` (*type:* `GoogleApi.Docs.V1.Model.ReplaceAllTextResponse.t`, *default:* `nil`) - The result of replacing text.","ref":"GoogleApi.Docs.V1.Model.Response.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Response.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Response.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Response.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Response.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.RgbColor","doc":"An RGB color.","ref":"GoogleApi.Docs.V1.Model.RgbColor.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.RgbColor","doc":"*   `blue` (*type:* `number()`, *default:* `nil`) - The blue component of the color, from 0.0 to 1.0.\n*   `green` (*type:* `number()`, *default:* `nil`) - The green component of the color, from 0.0 to 1.0.\n*   `red` (*type:* `number()`, *default:* `nil`) - The red component of the color, from 0.0 to 1.0.","ref":"GoogleApi.Docs.V1.Model.RgbColor.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.RgbColor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.RgbColor.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.RgbColor.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.RgbColor.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.RichLink","doc":"A link to a Google resource (such as a file in Drive, a YouTube video, or a Calendar event).","ref":"GoogleApi.Docs.V1.Model.RichLink.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.RichLink","doc":"*   `richLinkId` (*type:* `String.t`, *default:* `nil`) - Output only. The ID of this link.\n*   `richLinkProperties` (*type:* `GoogleApi.Docs.V1.Model.RichLinkProperties.t`, *default:* `nil`) - Output only. The properties of this RichLink. This field is always present.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - IDs for suggestions that remove this link from the document. A RichLink might have multiple deletion IDs if, for example, multiple users suggest deleting it. If empty, then this person link isn't suggested for deletion.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - IDs for suggestions that insert this link into the document. A RichLink might have multiple insertion IDs if it's a nested suggested change (a suggestion within a suggestion made by a different user, for example). If empty, then this person link isn't a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this RichLink, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this RichLink.","ref":"GoogleApi.Docs.V1.Model.RichLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.RichLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.RichLink.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.RichLink.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.RichLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.RichLinkProperties","doc":"Properties specific to a RichLink.","ref":"GoogleApi.Docs.V1.Model.RichLinkProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.RichLinkProperties","doc":"*   `mimeType` (*type:* `String.t`, *default:* `nil`) - Output only. The [MIME type](https://developers.google.com/drive/api/v3/mime-types) of the RichLink, if there's one (for example, when it's a file in Drive).\n*   `title` (*type:* `String.t`, *default:* `nil`) - Output only. The title of the RichLink as displayed in the link. This title matches the title of the linked resource at the time of the insertion or last update of the link. This field is always present.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Output only. The URI to the RichLink. This is always present.","ref":"GoogleApi.Docs.V1.Model.RichLinkProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.RichLinkProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.RichLinkProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.RichLinkProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.RichLinkProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SectionBreak","doc":"A StructuralElement representing a section break. A section is a range of content that has the same SectionStyle. A section break represents the start of a new section, and the section style applies to the section after the section break. The document body always begins with a section break.","ref":"GoogleApi.Docs.V1.Model.SectionBreak.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SectionBreak","doc":"*   `sectionStyle` (*type:* `GoogleApi.Docs.V1.Model.SectionStyle.t`, *default:* `nil`) - The style of the section after this section break.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A SectionBreak may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.","ref":"GoogleApi.Docs.V1.Model.SectionBreak.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SectionBreak.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SectionBreak.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SectionBreak.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SectionBreak.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SectionColumnProperties","doc":"Properties that apply to a section's column.","ref":"GoogleApi.Docs.V1.Model.SectionColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SectionColumnProperties","doc":"*   `paddingEnd` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The padding at the end of the column.\n*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - Output only. The width of the column.","ref":"GoogleApi.Docs.V1.Model.SectionColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SectionColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SectionColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SectionColumnProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SectionColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SectionStyle","doc":"The styling that applies to a section.","ref":"GoogleApi.Docs.V1.Model.SectionStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SectionStyle","doc":"*   `columnProperties` (*type:* `list(GoogleApi.Docs.V1.Model.SectionColumnProperties.t)`, *default:* `nil`) - The section's columns properties. If empty, the section contains one column with the default properties in the Docs editor. A section can be updated to have no more than 3 columns. When updating this property, setting a concrete value is required. Unsetting this property will result in a 400 bad request error.\n*   `columnSeparatorStyle` (*type:* `String.t`, *default:* `nil`) - The style of column separators. This style can be set even when there's one column in the section. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `contentDirection` (*type:* `String.t`, *default:* `nil`) - The content direction of this section. If unset, the value defaults to LEFT_TO_RIGHT. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `defaultFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the default footer. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's default_footer_id. This property is read-only.\n*   `defaultHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the default header. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's default_header_id. This property is read-only.\n*   `evenPageFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the footer used only for even pages. If the value of DocumentStyle's use_even_page_header_footer is true, this value is used for the footers on even pages in the section. If it is false, the footers on even pages use the default_footer_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's even_page_footer_id. This property is read-only.\n*   `evenPageHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the header used only for even pages. If the value of DocumentStyle's use_even_page_header_footer is true, this value is used for the headers on even pages in the section. If it is false, the headers on even pages use the default_header_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's even_page_header_id. This property is read-only.\n*   `firstPageFooterId` (*type:* `String.t`, *default:* `nil`) - The ID of the footer used only for the first page of the section. If use_first_page_header_footer is true, this value is used for the footer on the first page of the section. If it's false, the footer on the first page of the section uses the default_footer_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's first_page_footer_id. This property is read-only.\n*   `firstPageHeaderId` (*type:* `String.t`, *default:* `nil`) - The ID of the header used only for the first page of the section. If use_first_page_header_footer is true, this value is used for the header on the first page of the section. If it's false, the header on the first page of the section uses the default_header_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's first_page_header_id. This property is read-only.\n*   `flipPageOrientation` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to flip the dimensions of DocumentStyle's page_size for this section, which allows changing the page orientation between portrait and landscape. If unset, the value inherits from DocumentStyle's flip_page_orientation. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginBottom` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The bottom page margin of the section. If unset, the value defaults to margin_bottom from DocumentStyle. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginFooter` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The footer margin of the section. If unset, the value defaults to margin_footer from DocumentStyle. If updated, use_custom_header_footer_margins is set to true on DocumentStyle. The value of use_custom_header_footer_margins on DocumentStyle indicates if a footer margin is being respected for this section When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginHeader` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The header margin of the section. If unset, the value defaults to margin_header from DocumentStyle. If updated, use_custom_header_footer_margins is set to true on DocumentStyle. The value of use_custom_header_footer_margins on DocumentStyle indicates if a header margin is being respected for this section. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginLeft` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The left page margin of the section. If unset, the value defaults to margin_left from DocumentStyle. Updating the left margin causes columns in this section to resize. Since the margin affects column width, it's applied before column properties. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginRight` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The right page margin of the section. If unset, the value defaults to margin_right from DocumentStyle. Updating the right margin causes columns in this section to resize. Since the margin affects column width, it's applied before column properties. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `marginTop` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The top page margin of the section. If unset, the value defaults to margin_top from DocumentStyle. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `pageNumberStart` (*type:* `integer()`, *default:* `nil`) - The page number from which to start counting the number of pages for this section. If unset, page numbering continues from the previous section. If the value is unset in the first SectionBreak, refer to DocumentStyle's page_number_start. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.\n*   `sectionType` (*type:* `String.t`, *default:* `nil`) - Output only. The type of section.\n*   `useFirstPageHeaderFooter` (*type:* `boolean()`, *default:* `nil`) - Indicates whether to use the first page header / footer IDs for the first page of the section. If unset, it inherits from DocumentStyle's use_first_page_header_footer for the first section. If the value is unset for subsequent sectors, it should be interpreted as false. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.","ref":"GoogleApi.Docs.V1.Model.SectionStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SectionStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SectionStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SectionStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SectionStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Shading","doc":"The shading of a paragraph.","ref":"GoogleApi.Docs.V1.Model.Shading.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Shading","doc":"*   `backgroundColor` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The background color of this paragraph shading.","ref":"GoogleApi.Docs.V1.Model.Shading.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Shading.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Shading.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Shading.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Shading.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.ShadingSuggestionState","doc":"A mask that indicates which of the fields on the base Shading have been changed in this suggested change. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.ShadingSuggestionState","doc":"*   `backgroundColorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to the Shading.","ref":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.ShadingSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SheetsChartReference","doc":"A reference to a linked chart embedded from Google Sheets.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReference.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SheetsChartReference","doc":"*   `chartId` (*type:* `integer()`, *default:* `nil`) - The ID of the specific chart in the Google Sheets spreadsheet that's embedded.\n*   `spreadsheetId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Sheets spreadsheet that contains the source chart.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SheetsChartReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReference.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SheetsChartReference.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SheetsChartReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState","doc":"A mask that indicates which of the fields on the base SheetsChartReference have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState","doc":"*   `chartIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to chart_id.\n*   `spreadsheetIdSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to spreadsheet_id.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SheetsChartReferenceSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Size","doc":"A width and height.","ref":"GoogleApi.Docs.V1.Model.Size.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Size","doc":"*   `height` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The height of the object.\n*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The width of the object.","ref":"GoogleApi.Docs.V1.Model.Size.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Size.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Size.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Size.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Size.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SizeSuggestionState","doc":"A mask that indicates which of the fields on the base Size have been changed in this suggestion. For any field set to true, the Size has a new suggested value.","ref":"GoogleApi.Docs.V1.Model.SizeSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SizeSuggestionState","doc":"*   `heightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to height.\n*   `widthSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to width.","ref":"GoogleApi.Docs.V1.Model.SizeSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SizeSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SizeSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SizeSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SizeSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.StructuralElement","doc":"A StructuralElement describes content that provides structure to the document.","ref":"GoogleApi.Docs.V1.Model.StructuralElement.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.StructuralElement","doc":"*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based end index of this structural element, exclusive, in UTF-16 code units.\n*   `paragraph` (*type:* `GoogleApi.Docs.V1.Model.Paragraph.t`, *default:* `nil`) - A paragraph type of structural element.\n*   `sectionBreak` (*type:* `GoogleApi.Docs.V1.Model.SectionBreak.t`, *default:* `nil`) - A section break type of structural element.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this structural element, in UTF-16 code units.\n*   `table` (*type:* `GoogleApi.Docs.V1.Model.Table.t`, *default:* `nil`) - A table type of structural element.\n*   `tableOfContents` (*type:* `GoogleApi.Docs.V1.Model.TableOfContents.t`, *default:* `nil`) - A table of contents type of structural element.","ref":"GoogleApi.Docs.V1.Model.StructuralElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.StructuralElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.StructuralElement.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.StructuralElement.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.StructuralElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria","doc":"A criteria that matches a specific string of text in the document.","ref":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SubstringMatchCriteria","doc":"*   `matchCase` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the search should respect case: - `True`: the search is case sensitive. - `False`: the search is case insensitive.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The text to search for in the document.","ref":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SubstringMatchCriteria.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedBullet","doc":"A suggested change to a Bullet.","ref":"GoogleApi.Docs.V1.Model.SuggestedBullet.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedBullet","doc":"*   `bullet` (*type:* `GoogleApi.Docs.V1.Model.Bullet.t`, *default:* `nil`) - A Bullet that only includes the changes made in this suggestion. This can be used along with the bullet_suggestion_state to see which fields have changed and their new values.\n*   `bulletSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.BulletSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base Bullet have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedBullet.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedBullet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedBullet.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedBullet.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedBullet.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle","doc":"A suggested change to the DocumentStyle.","ref":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedDocumentStyle","doc":"*   `documentStyle` (*type:* `GoogleApi.Docs.V1.Model.DocumentStyle.t`, *default:* `nil`) - A DocumentStyle that only includes the changes made in this suggestion. This can be used along with the document_style_suggestion_state to see which fields have changed and their new values.\n*   `documentStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.DocumentStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base DocumentStyle have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedDocumentStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties","doc":"A suggested change to InlineObjectProperties.","ref":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties","doc":"*   `inlineObjectProperties` (*type:* `GoogleApi.Docs.V1.Model.InlineObjectProperties.t`, *default:* `nil`) - An InlineObjectProperties that only includes the changes made in this suggestion. This can be used along with the inline_object_properties_suggestion_state to see which fields have changed and their new values.\n*   `inlineObjectPropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.InlineObjectPropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base InlineObjectProperties have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedInlineObjectProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedListProperties","doc":"A suggested change to ListProperties.","ref":"GoogleApi.Docs.V1.Model.SuggestedListProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedListProperties","doc":"*   `listProperties` (*type:* `GoogleApi.Docs.V1.Model.ListProperties.t`, *default:* `nil`) - A ListProperties that only includes the changes made in this suggestion. This can be used along with the list_properties_suggestion_state to see which fields have changed and their new values.\n*   `listPropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.ListPropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base ListProperties have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedListProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedListProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedListProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedListProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedListProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles","doc":"A suggested change to the NamedStyles.","ref":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedNamedStyles","doc":"*   `namedStyles` (*type:* `GoogleApi.Docs.V1.Model.NamedStyles.t`, *default:* `nil`) - A NamedStyles that only includes the changes made in this suggestion. This can be used along with the named_styles_suggestion_state to see which fields have changed and their new values.\n*   `namedStylesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.NamedStylesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base NamedStyles have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedNamedStyles.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle","doc":"A suggested change to a ParagraphStyle.","ref":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedParagraphStyle","doc":"*   `paragraphStyle` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyle.t`, *default:* `nil`) - A ParagraphStyle that only includes the changes made in this suggestion. This can be used along with the paragraph_style_suggestion_state to see which fields have changed and their new values.\n*   `paragraphStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base ParagraphStyle have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedParagraphStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties","doc":"A suggested change to PositionedObjectProperties.","ref":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties","doc":"*   `positionedObjectProperties` (*type:* `GoogleApi.Docs.V1.Model.PositionedObjectProperties.t`, *default:* `nil`) - A PositionedObjectProperties that only includes the changes made in this suggestion. This can be used along with the positioned_object_properties_suggestion_state to see which fields have changed and their new values.\n*   `positionedObjectPropertiesSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.PositionedObjectPropertiesSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base PositionedObjectProperties have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedPositionedObjectProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle","doc":"A suggested change to a TableCellStyle.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedTableCellStyle","doc":"*   `tableCellStyle` (*type:* `GoogleApi.Docs.V1.Model.TableCellStyle.t`, *default:* `nil`) - A TableCellStyle that only includes the changes made in this suggestion. This can be used along with the table_cell_style_suggestion_state to see which fields have changed and their new values.\n*   `tableCellStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base TableCellStyle have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle","doc":"A suggested change to a TableRowStyle.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedTableRowStyle","doc":"*   `tableRowStyle` (*type:* `GoogleApi.Docs.V1.Model.TableRowStyle.t`, *default:* `nil`) - A TableRowStyle that only includes the changes made in this suggestion. This can be used along with the table_row_style_suggestion_state to see which fields have changed and their new values.\n*   `tableRowStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base TableRowStyle have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.SuggestedTextStyle","doc":"A suggested change to a TextStyle.","ref":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.SuggestedTextStyle","doc":"*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - A TextStyle that only includes the changes made in this suggestion. This can be used along with the text_style_suggestion_state to see which fields have changed and their new values.\n*   `textStyleSuggestionState` (*type:* `GoogleApi.Docs.V1.Model.TextStyleSuggestionState.t`, *default:* `nil`) - A mask that indicates which of the fields on the base TextStyle have been changed in this suggestion.","ref":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.SuggestedTextStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Tab","doc":"A tab in a document.","ref":"GoogleApi.Docs.V1.Model.Tab.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Tab","doc":"*   `childTabs` (*type:* `list(GoogleApi.Docs.V1.Model.Tab.t)`, *default:* `nil`) - The child tabs nested within this tab.\n*   `documentTab` (*type:* `GoogleApi.Docs.V1.Model.DocumentTab.t`, *default:* `nil`) - A tab with document contents, like text and images.\n*   `tabProperties` (*type:* `GoogleApi.Docs.V1.Model.TabProperties.t`, *default:* `nil`) - The properties of the tab, like ID and title.","ref":"GoogleApi.Docs.V1.Model.Tab.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Tab.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Tab.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Tab.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Tab.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TabProperties","doc":"Properties of a tab.","ref":"GoogleApi.Docs.V1.Model.TabProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TabProperties","doc":"*   `index` (*type:* `integer()`, *default:* `nil`) - The index of the tab within the parent.\n*   `nestingLevel` (*type:* `integer()`, *default:* `nil`) - Output only. The depth of the tab within the document. Root-level tabs start at 0.\n*   `parentTabId` (*type:* `String.t`, *default:* `nil`) - Optional. The ID of the parent tab. Empty when the current tab is a root-level tab, which means it doesn't have any parents.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - Output only. The ID of the tab. This field can't be changed.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The user-visible name of the tab.","ref":"GoogleApi.Docs.V1.Model.TabProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TabProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TabProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TabProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TabProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TabStop","doc":"A tab stop within a paragraph.","ref":"GoogleApi.Docs.V1.Model.TabStop.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TabStop","doc":"*   `alignment` (*type:* `String.t`, *default:* `nil`) - The alignment of this tab stop. If unset, the value defaults to START.\n*   `offset` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The offset between this tab stop and the start margin.","ref":"GoogleApi.Docs.V1.Model.TabStop.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TabStop.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TabStop.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TabStop.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TabStop.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.Table","doc":"A StructuralElement representing a table.","ref":"GoogleApi.Docs.V1.Model.Table.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.Table","doc":"*   `columns` (*type:* `integer()`, *default:* `nil`) - Number of columns in the table. It's possible for a table to be non-rectangular, so some rows may have a different number of cells.\n*   `rows` (*type:* `integer()`, *default:* `nil`) - Number of rows in the table.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A Table may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `tableRows` (*type:* `list(GoogleApi.Docs.V1.Model.TableRow.t)`, *default:* `nil`) - The contents and style of each row.\n*   `tableStyle` (*type:* `GoogleApi.Docs.V1.Model.TableStyle.t`, *default:* `nil`) - The style of the table.","ref":"GoogleApi.Docs.V1.Model.Table.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.Table.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.Table.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.Table.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.Table.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableCell","doc":"The contents and style of a cell in a Table.","ref":"GoogleApi.Docs.V1.Model.TableCell.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableCell","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The content of the cell.\n*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based end index of this cell, exclusive, in UTF-16 code units.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this cell, in UTF-16 code units.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A TableCell may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTableCellStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTableCellStyle.t}`, *default:* `nil`) - The suggested changes to the table cell style, keyed by suggestion ID.\n*   `tableCellStyle` (*type:* `GoogleApi.Docs.V1.Model.TableCellStyle.t`, *default:* `nil`) - The style of the cell.","ref":"GoogleApi.Docs.V1.Model.TableCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableCell.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableCell.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableCellBorder","doc":"A border around a table cell. Table cell borders cannot be transparent. To hide a table cell border, make its width 0.","ref":"GoogleApi.Docs.V1.Model.TableCellBorder.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableCellBorder","doc":"*   `color` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The color of the border. This color cannot be transparent.\n*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the border.\n*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The width of the border.","ref":"GoogleApi.Docs.V1.Model.TableCellBorder.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableCellBorder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableCellBorder.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableCellBorder.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableCellBorder.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableCellLocation","doc":"Location of a single cell within a table.","ref":"GoogleApi.Docs.V1.Model.TableCellLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableCellLocation","doc":"*   `columnIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based column index. For example, the second column in the table has a column index of 1.\n*   `rowIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based row index. For example, the second row in the table has a row index of 1.\n*   `tableStartLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location where the table starts in the document.","ref":"GoogleApi.Docs.V1.Model.TableCellLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableCellLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableCellLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableCellLocation.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableCellLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableCellStyle","doc":"The style of a TableCell. Inherited table cell styles are represented as unset fields in this message. A table cell style can inherit from the table's style.","ref":"GoogleApi.Docs.V1.Model.TableCellStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableCellStyle","doc":"*   `backgroundColor` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The background color of the cell.\n*   `borderBottom` (*type:* `GoogleApi.Docs.V1.Model.TableCellBorder.t`, *default:* `nil`) - The bottom border of the cell.\n*   `borderLeft` (*type:* `GoogleApi.Docs.V1.Model.TableCellBorder.t`, *default:* `nil`) - The left border of the cell.\n*   `borderRight` (*type:* `GoogleApi.Docs.V1.Model.TableCellBorder.t`, *default:* `nil`) - The right border of the cell.\n*   `borderTop` (*type:* `GoogleApi.Docs.V1.Model.TableCellBorder.t`, *default:* `nil`) - The top border of the cell.\n*   `columnSpan` (*type:* `integer()`, *default:* `nil`) - The column span of the cell. This property is read-only.\n*   `contentAlignment` (*type:* `String.t`, *default:* `nil`) - The alignment of the content in the table cell. The default alignment matches the alignment for newly created table cells in the Docs editor.\n*   `paddingBottom` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The bottom padding of the cell.\n*   `paddingLeft` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The left padding of the cell.\n*   `paddingRight` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The right padding of the cell.\n*   `paddingTop` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The top padding of the cell.\n*   `rowSpan` (*type:* `integer()`, *default:* `nil`) - The row span of the cell. This property is read-only.","ref":"GoogleApi.Docs.V1.Model.TableCellStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableCellStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableCellStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableCellStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableCellStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState","doc":"A mask that indicates which of the fields on the base TableCellStyle have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState","doc":"*   `backgroundColorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to background_color.\n*   `borderBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_bottom.\n*   `borderLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_left.\n*   `borderRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_right.\n*   `borderTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to border_top.\n*   `columnSpanSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to column_span.\n*   `contentAlignmentSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to content_alignment.\n*   `paddingBottomSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to padding_bottom.\n*   `paddingLeftSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to padding_left.\n*   `paddingRightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to padding_right.\n*   `paddingTopSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to padding_top.\n*   `rowSpanSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to row_span.","ref":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableCellStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableColumnProperties","doc":"The properties of a column in a table.","ref":"GoogleApi.Docs.V1.Model.TableColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableColumnProperties","doc":"*   `width` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The width of the column. Set when the column's `width_type` is FIXED_WIDTH.\n*   `widthType` (*type:* `String.t`, *default:* `nil`) - The width type of the column.","ref":"GoogleApi.Docs.V1.Model.TableColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableColumnProperties.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableOfContents","doc":"A StructuralElement representing a table of contents.","ref":"GoogleApi.Docs.V1.Model.TableOfContents.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableOfContents","doc":"*   `content` (*type:* `list(GoogleApi.Docs.V1.Model.StructuralElement.t)`, *default:* `nil`) - The content of the table of contents.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A TableOfContents may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.","ref":"GoogleApi.Docs.V1.Model.TableOfContents.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableOfContents.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableOfContents.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableOfContents.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableOfContents.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableRange","doc":"A table range represents a reference to a subset of a table. It's important to note that the cells specified by a table range do not necessarily form a rectangle. For example, let's say we have a 3 x 3 table where all the cells of the last row are merged together. The table looks like this: [ ] A table range with table cell location = (table_start_location, row = 0, column = 0), row span = 3 and column span = 2 specifies the following cells: x x [ x x x ]","ref":"GoogleApi.Docs.V1.Model.TableRange.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableRange","doc":"*   `columnSpan` (*type:* `integer()`, *default:* `nil`) - The column span of the table range.\n*   `rowSpan` (*type:* `integer()`, *default:* `nil`) - The row span of the table range.\n*   `tableCellLocation` (*type:* `GoogleApi.Docs.V1.Model.TableCellLocation.t`, *default:* `nil`) - The cell location where the table range starts.","ref":"GoogleApi.Docs.V1.Model.TableRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableRange.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableRange.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableRow","doc":"The contents and style of a row in a Table.","ref":"GoogleApi.Docs.V1.Model.TableRow.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableRow","doc":"*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based end index of this row, exclusive, in UTF-16 code units.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this row, in UTF-16 code units.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A TableRow may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTableRowStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTableRowStyle.t}`, *default:* `nil`) - The suggested style changes to this row, keyed by suggestion ID.\n*   `tableCells` (*type:* `list(GoogleApi.Docs.V1.Model.TableCell.t)`, *default:* `nil`) - The contents and style of each cell in this row. It's possible for a table to be non-rectangular, so some rows may have a different number of cells than other rows in the same table.\n*   `tableRowStyle` (*type:* `GoogleApi.Docs.V1.Model.TableRowStyle.t`, *default:* `nil`) - The style of the table row.","ref":"GoogleApi.Docs.V1.Model.TableRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableRow.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableRow.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableRowStyle","doc":"Styles that apply to a table row.","ref":"GoogleApi.Docs.V1.Model.TableRowStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableRowStyle","doc":"*   `minRowHeight` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The minimum height of the row. The row will be rendered in the Docs editor at a height equal to or greater than this value in order to show all the content in the row's cells.\n*   `preventOverflow` (*type:* `boolean()`, *default:* `nil`) - Whether the row cannot overflow across page or column boundaries.\n*   `tableHeader` (*type:* `boolean()`, *default:* `nil`) - Whether the row is a table header.","ref":"GoogleApi.Docs.V1.Model.TableRowStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableRowStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableRowStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableRowStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableRowStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState","doc":"A mask that indicates which of the fields on the base TableRowStyle have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState","doc":"*   `minRowHeightSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to min_row_height.","ref":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableRowStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TableStyle","doc":"Styles that apply to a table.","ref":"GoogleApi.Docs.V1.Model.TableStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TableStyle","doc":"*   `tableColumnProperties` (*type:* `list(GoogleApi.Docs.V1.Model.TableColumnProperties.t)`, *default:* `nil`) - The properties of each column. Note that in Docs, tables contain rows and rows contain cells, similar to HTML. So the properties for a row can be found on the row's table_row_style.","ref":"GoogleApi.Docs.V1.Model.TableStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TableStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TableStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TableStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TableStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TabsCriteria","doc":"A criteria that specifies in which tabs a request executes.","ref":"GoogleApi.Docs.V1.Model.TabsCriteria.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TabsCriteria","doc":"*   `tabIds` (*type:* `list(String.t)`, *default:* `nil`) - The list of tab IDs in which the request executes.","ref":"GoogleApi.Docs.V1.Model.TabsCriteria.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TabsCriteria.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TabsCriteria.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TabsCriteria.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TabsCriteria.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TextRun","doc":"A ParagraphElement that represents a run of text that all has the same styling.","ref":"GoogleApi.Docs.V1.Model.TextRun.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TextRun","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - The text of this run. Any non-text elements in the run are replaced with the Unicode character U+E907.\n*   `suggestedDeletionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested deletion IDs. If empty, then there are no suggested deletions of this content.\n*   `suggestedInsertionIds` (*type:* `list(String.t)`, *default:* `nil`) - The suggested insertion IDs. A TextRun may have multiple insertion IDs if it's a nested suggested change. If empty, then this is not a suggested insertion.\n*   `suggestedTextStyleChanges` (*type:* `%{optional(String.t) => GoogleApi.Docs.V1.Model.SuggestedTextStyle.t}`, *default:* `nil`) - The suggested text style changes to this run, keyed by suggestion ID.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The text style of this run.","ref":"GoogleApi.Docs.V1.Model.TextRun.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TextRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TextRun.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TextRun.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TextRun.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TextStyle","doc":"Represents the styling that can be applied to text. Inherited text styles are represented as unset fields in this message. A text style's parent depends on where the text style is defined: * The TextStyle of text in a Paragraph inherits from the paragraph's corresponding named style type. * The TextStyle on a named style inherits from the normal text named style. * The TextStyle of the normal text named style inherits from the default text style in the Docs editor. * The TextStyle on a Paragraph element that's contained in a table may inherit its text style from the table style. If the text style does not inherit from a parent, unsetting fields will revert the style to a value matching the defaults in the Docs editor.","ref":"GoogleApi.Docs.V1.Model.TextStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TextStyle","doc":"*   `backgroundColor` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The background color of the text. If set, the color is either an RGB color or transparent, depending on the `color` field.\n*   `baselineOffset` (*type:* `String.t`, *default:* `nil`) - The text's vertical offset from its normal position. Text with `SUPERSCRIPT` or `SUBSCRIPT` baseline offsets is automatically rendered in a smaller font size, computed based on the `font_size` field. Changes in this field don't affect the `font_size`.\n*   `bold` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is rendered as bold.\n*   `fontSize` (*type:* `GoogleApi.Docs.V1.Model.Dimension.t`, *default:* `nil`) - The size of the text's font.\n*   `foregroundColor` (*type:* `GoogleApi.Docs.V1.Model.OptionalColor.t`, *default:* `nil`) - The foreground color of the text. If set, the color is either an RGB color or transparent, depending on the `color` field.\n*   `italic` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is italicized.\n*   `link` (*type:* `GoogleApi.Docs.V1.Model.Link.t`, *default:* `nil`) - The hyperlink destination of the text. If unset, there's no link. Links are not inherited from parent text. Changing the link in an update request causes some other changes to the text style of the range: * When setting a link, the text foreground color will be updated to the default link color and the text will be underlined. If these fields are modified in the same request, those values will be used instead of the link defaults. * Setting a link on a text range that overlaps with an existing link will also update the existing link to point to the new URL. * Links are not settable on newline characters. As a result, setting a link on a text range that crosses a paragraph boundary, such as `\"ABC\\n123\"`, will separate the newline character(s) into their own text runs. The link will be applied separately to the runs before and after the newline. * Removing a link will update the text style of the range to match the style of the preceding text (or the default text styles if the preceding text is another link) unless different styles are being set in the same request.\n*   `smallCaps` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is in small capital letters.\n*   `strikethrough` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is struck through.\n*   `underline` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is underlined.\n*   `weightedFontFamily` (*type:* `GoogleApi.Docs.V1.Model.WeightedFontFamily.t`, *default:* `nil`) - The font family and rendered weight of the text. If an update request specifies values for both `weighted_font_family` and `bold`, the `weighted_font_family` is applied first, then `bold`. If `weighted_font_family#weight` is not set, it defaults to `400`. If `weighted_font_family` is set, then `weighted_font_family#font_family` must also be set with a non-empty value. Otherwise, a 400 bad request error is returned.","ref":"GoogleApi.Docs.V1.Model.TextStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TextStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TextStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TextStyle.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TextStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState","doc":"A mask that indicates which of the fields on the base TextStyle have been changed in this suggestion. For any field set to true, there's a new suggested value.","ref":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.TextStyleSuggestionState","doc":"*   `backgroundColorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to background_color.\n*   `baselineOffsetSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to baseline_offset.\n*   `boldSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to bold.\n*   `fontSizeSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to font_size.\n*   `foregroundColorSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to foreground_color.\n*   `italicSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to italic.\n*   `linkSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to link.\n*   `smallCapsSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to small_caps.\n*   `strikethroughSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to strikethrough.\n*   `underlineSuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to underline.\n*   `weightedFontFamilySuggested` (*type:* `boolean()`, *default:* `nil`) - Indicates if there was a suggested change to weighted_font_family.","ref":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.TextStyleSuggestionState.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest","doc":"Unmerges cells in a Table.","ref":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest","doc":"*   `tableRange` (*type:* `GoogleApi.Docs.V1.Model.TableRange.t`, *default:* `nil`) - The table range specifying which cells of the table to unmerge. All merged cells in this range will be unmerged, and cells that are already unmerged will not be affected. If the range has no merged cells, the request will do nothing. If there is text in any of the merged cells, the text will remain in the \"head\" cell of the resulting block of unmerged cells. The \"head\" cell is the upper-left cell when the content direction is from left to right, and the upper-right otherwise.","ref":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UnmergeTableCellsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest","doc":"Updates the DocumentStyle.","ref":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest","doc":"*   `documentStyle` (*type:* `GoogleApi.Docs.V1.Model.DocumentStyle.t`, *default:* `nil`) - The styles to set on the document. Certain document style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of DocumentStyle for more information.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `document_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the background, set `fields` to `\"background\"`.\n*   `tabId` (*type:* `String.t`, *default:* `nil`) - The tab that contains the style to update. When omitted, the request applies to the first tab. In a document containing a single tab: - If provided, must match the singular tab's ID. - If omitted, the request applies to the singular tab. In a document containing multiple tabs: - If provided, the request applies to the specified tab. - If not provided, the request applies to the first tab in the document.","ref":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateDocumentStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest","doc":"Update the styling of all paragraphs that overlap with the given range.","ref":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `paragraph_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the paragraph style's alignment property, set `fields` to `\"alignment\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `paragraphStyle` (*type:* `GoogleApi.Docs.V1.Model.ParagraphStyle.t`, *default:* `nil`) - The styles to set on the paragraphs. Certain paragraph style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of ParagraphStyle for more information.\n*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range overlapping the paragraphs to style.","ref":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateParagraphStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest","doc":"Updates the SectionStyle.","ref":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `section_style` is implied and must not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the left margin, set `fields` to `\"margin_left\"`.\n*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range overlapping the sections to style. Because section breaks can only be inserted inside the body, the segment ID field must be empty.\n*   `sectionStyle` (*type:* `GoogleApi.Docs.V1.Model.SectionStyle.t`, *default:* `nil`) - The styles to be set on the section. Certain section style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of SectionStyle for more information.","ref":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateSectionStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest","doc":"Updates the style of a range of table cells.","ref":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableCellStyle` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the table cell background color, set `fields` to `\"backgroundColor\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `tableCellStyle` (*type:* `GoogleApi.Docs.V1.Model.TableCellStyle.t`, *default:* `nil`) - The style to set on the table cells. When updating borders, if a cell shares a border with an adjacent cell, the corresponding border property of the adjacent cell is updated as well. Borders that are merged and invisible are not updated. Since updating a border shared by adjacent cells in the same request can cause conflicting border updates, border updates are applied in the following order: - `border_right` - `border_left` - `border_bottom` - `border_top`\n*   `tableRange` (*type:* `GoogleApi.Docs.V1.Model.TableRange.t`, *default:* `nil`) - The table range representing the subset of the table to which the updates are applied.\n*   `tableStartLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location where the table starts in the document. When specified, the updates are applied to all the cells in the table.","ref":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateTableCellStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest","doc":"Updates the TableColumnProperties of columns in a table.","ref":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest","doc":"*   `columnIndices` (*type:* `list(integer())`, *default:* `nil`) - The list of zero-based column indices whose property should be updated. If no indices are specified, all columns will be updated.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableColumnProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the column width, set `fields` to `\"width\"`.\n*   `tableColumnProperties` (*type:* `GoogleApi.Docs.V1.Model.TableColumnProperties.t`, *default:* `nil`) - The table column properties to update. If the value of `table_column_properties#width` is less than 5 points (5/72 inch), a 400 bad request error is returned.\n*   `tableStartLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location where the table starts in the document.","ref":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateTableColumnPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest","doc":"Updates the TableRowStyle of rows in a table.","ref":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableRowStyle` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the minimum row height, set `fields` to `\"min_row_height\"`.\n*   `rowIndices` (*type:* `list(integer())`, *default:* `nil`) - The list of zero-based row indices whose style should be updated. If no indices are specified, all rows will be updated.\n*   `tableRowStyle` (*type:* `GoogleApi.Docs.V1.Model.TableRowStyle.t`, *default:* `nil`) - The styles to be set on the rows.\n*   `tableStartLocation` (*type:* `GoogleApi.Docs.V1.Model.Location.t`, *default:* `nil`) - The location where the table starts in the document.","ref":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateTableRowStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest","doc":"Update the styling of text.","ref":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.UpdateTextStyleRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `text_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the text style to bold, set `fields` to `\"bold\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `range` (*type:* `GoogleApi.Docs.V1.Model.Range.t`, *default:* `nil`) - The range of text to style. The range may be extended to include adjacent newlines. If the range fully contains a paragraph belonging to a list, the paragraph's bullet is also updated with the matching text style. Ranges cannot be inserted inside a relative UpdateTextStyleRequest.\n*   `textStyle` (*type:* `GoogleApi.Docs.V1.Model.TextStyle.t`, *default:* `nil`) - The styles to set on the text. If the value for a particular style matches that of the parent, that style will be set to inherit. Certain text style changes may cause other changes in order to to mirror the behavior of the Docs editor. See the documentation of TextStyle for more information.","ref":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.UpdateTextStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.WeightedFontFamily","doc":"Represents a font family and weight of text.","ref":"GoogleApi.Docs.V1.Model.WeightedFontFamily.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.WeightedFontFamily","doc":"*   `fontFamily` (*type:* `String.t`, *default:* `nil`) - The font family of the text. The font family can be any font from the Font menu in Docs or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in `Arial`.\n*   `weight` (*type:* `integer()`, *default:* `nil`) - The weight of the font. This field can have any value that's a multiple of `100` between `100` and `900`, inclusive. This range corresponds to the numerical values described in the CSS 2.1 Specification, [section 15.6](https://www.w3.org/TR/CSS21/fonts.html#font-boldness), with non-numerical values disallowed. The default value is `400` (\"normal\"). The font weight makes up just one component of the rendered font weight. A combination of the `weight` and the text style's resolved `bold` value determine the rendered weight, after accounting for inheritance: * If the text is bold and the weight is less than `400`, the rendered weight is 400. * If the text is bold and the weight is greater than or equal to `400` but is less than `700`, the rendered weight is `700`. * If the weight is greater than or equal to `700`, the rendered weight is equal to the weight. * If the text is not bold, the rendered weight is equal to the weight.","ref":"GoogleApi.Docs.V1.Model.WeightedFontFamily.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.WeightedFontFamily.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.WeightedFontFamily.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.WeightedFontFamily.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.WeightedFontFamily.html#t:t/0"},{"type":"module","title":"GoogleApi.Docs.V1.Model.WriteControl","doc":"Provides control over how write requests are executed.","ref":"GoogleApi.Docs.V1.Model.WriteControl.html"},{"type":"module","title":"Attributes - GoogleApi.Docs.V1.Model.WriteControl","doc":"*   `requiredRevisionId` (*type:* `String.t`, *default:* `nil`) - The optional revision ID of the document the write request is applied to. If this is not the latest revision of the document, the request is not processed and returns a 400 bad request error. When a required revision ID is returned in a response, it indicates the revision ID of the document after the request was applied.\n*   `targetRevisionId` (*type:* `String.t`, *default:* `nil`) - The optional target revision ID of the document the write request is applied to. If collaborator changes have occurred after the document was read using the API, the changes produced by this write request are applied against the collaborator changes. This results in a new revision of the document that incorporates both the collaborator changes and the changes in the request, with the Docs server resolving conflicting changes. When using target revision ID, the API client can be thought of as another collaborator of the document. The target revision ID can only be used to write to recent versions of a document. If the target revision is too far behind the latest revision, the request is not processed and returns a 400 bad request error. The request should be tried again after retrieving the latest version of the document. Usually a revision ID remains valid for use as a target revision for several minutes after it's read, but for frequently edited documents this window might be shorter.","ref":"GoogleApi.Docs.V1.Model.WriteControl.html#module-attributes"},{"type":"function","title":"GoogleApi.Docs.V1.Model.WriteControl.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Docs.V1.Model.WriteControl.html#decode/2"},{"type":"type","title":"GoogleApi.Docs.V1.Model.WriteControl.t/0","doc":"","ref":"GoogleApi.Docs.V1.Model.WriteControl.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}